configure
上传用户:shbosideng
上传日期:2013-05-04
资源大小:1555k
文件大小:154k
源码类别:

SNMP编程

开发平台:

C/C++

  1.   [\/]* | ?:[\/]*)
  2.   ac_cv_path_NROFF="$NROFF" # Let the user override the test with a path.
  3.   ;;
  4.   *)
  5.   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  6. for as_dir in $PATH
  7. do
  8.   IFS=$as_save_IFS
  9.   test -z "$as_dir" && as_dir=.
  10.   for ac_exec_ext in '' $ac_executable_extensions; do
  11.   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
  12.     ac_cv_path_NROFF="$as_dir/$ac_word$ac_exec_ext"
  13.     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
  14.     break 2
  15.   fi
  16. done
  17. done
  18.   ;;
  19. esac
  20. fi
  21. NROFF=$ac_cv_path_NROFF
  22. if test -n "$NROFF"; then
  23.   echo "$as_me:$LINENO: result: $NROFF" >&5
  24. echo "${ECHO_T}$NROFF" >&6
  25. else
  26.   echo "$as_me:$LINENO: result: no" >&5
  27. echo "${ECHO_T}no" >&6
  28. fi
  29.   test -n "$NROFF" && break
  30. done
  31. echo "$as_me:$LINENO: checking for egrep" >&5
  32. echo $ECHO_N "checking for egrep... $ECHO_C" >&6
  33. if test "${ac_cv_prog_egrep+set}" = set; then
  34.   echo $ECHO_N "(cached) $ECHO_C" >&6
  35. else
  36.   if echo a | (grep -E '(a|b)') >/dev/null 2>&1
  37.     then ac_cv_prog_egrep='grep -E'
  38.     else ac_cv_prog_egrep='egrep'
  39.     fi
  40. fi
  41. echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
  42. echo "${ECHO_T}$ac_cv_prog_egrep" >&6
  43.  EGREP=$ac_cv_prog_egrep
  44. echo "$as_me:$LINENO: checking for ANSI C header files" >&5
  45. echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
  46. if test "${ac_cv_header_stdc+set}" = set; then
  47.   echo $ECHO_N "(cached) $ECHO_C" >&6
  48. else
  49.   cat >conftest.$ac_ext <<_ACEOF
  50. /* confdefs.h.  */
  51. _ACEOF
  52. cat confdefs.h >>conftest.$ac_ext
  53. cat >>conftest.$ac_ext <<_ACEOF
  54. /* end confdefs.h.  */
  55. #include <stdlib.h>
  56. #include <stdarg.h>
  57. #include <string.h>
  58. #include <float.h>
  59. int
  60. main ()
  61. {
  62.   ;
  63.   return 0;
  64. }
  65. _ACEOF
  66. rm -f conftest.$ac_objext
  67. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  68.   (eval $ac_compile) 2>conftest.er1
  69.   ac_status=$?
  70.   grep -v '^ *+' conftest.er1 >conftest.err
  71.   rm -f conftest.er1
  72.   cat conftest.err >&5
  73.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  74.   (exit $ac_status); } &&
  75.  { ac_try='test -z "$ac_c_werror_flag"
  76.  || test ! -s conftest.err'
  77.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  78.   (eval $ac_try) 2>&5
  79.   ac_status=$?
  80.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  81.   (exit $ac_status); }; } &&
  82.  { ac_try='test -s conftest.$ac_objext'
  83.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  84.   (eval $ac_try) 2>&5
  85.   ac_status=$?
  86.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  87.   (exit $ac_status); }; }; then
  88.   ac_cv_header_stdc=yes
  89. else
  90.   echo "$as_me: failed program was:" >&5
  91. sed 's/^/| /' conftest.$ac_ext >&5
  92. ac_cv_header_stdc=no
  93. fi
  94. rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
  95. if test $ac_cv_header_stdc = yes; then
  96.   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
  97.   cat >conftest.$ac_ext <<_ACEOF
  98. /* confdefs.h.  */
  99. _ACEOF
  100. cat confdefs.h >>conftest.$ac_ext
  101. cat >>conftest.$ac_ext <<_ACEOF
  102. /* end confdefs.h.  */
  103. #include <string.h>
  104. _ACEOF
  105. if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  106.   $EGREP "memchr" >/dev/null 2>&1; then
  107.   :
  108. else
  109.   ac_cv_header_stdc=no
  110. fi
  111. rm -f conftest*
  112. fi
  113. if test $ac_cv_header_stdc = yes; then
  114.   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
  115.   cat >conftest.$ac_ext <<_ACEOF
  116. /* confdefs.h.  */
  117. _ACEOF
  118. cat confdefs.h >>conftest.$ac_ext
  119. cat >>conftest.$ac_ext <<_ACEOF
  120. /* end confdefs.h.  */
  121. #include <stdlib.h>
  122. _ACEOF
  123. if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  124.   $EGREP "free" >/dev/null 2>&1; then
  125.   :
  126. else
  127.   ac_cv_header_stdc=no
  128. fi
  129. rm -f conftest*
  130. fi
  131. if test $ac_cv_header_stdc = yes; then
  132.   # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
  133.   if test "$cross_compiling" = yes; then
  134.   :
  135. else
  136.   cat >conftest.$ac_ext <<_ACEOF
  137. /* confdefs.h.  */
  138. _ACEOF
  139. cat confdefs.h >>conftest.$ac_ext
  140. cat >>conftest.$ac_ext <<_ACEOF
  141. /* end confdefs.h.  */
  142. #include <ctype.h>
  143. #if ((' ' & 0x0FF) == 0x020)
  144. # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
  145. # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
  146. #else
  147. # define ISLOWER(c) 
  148.    (('a' <= (c) && (c) <= 'i') 
  149.      || ('j' <= (c) && (c) <= 'r') 
  150.      || ('s' <= (c) && (c) <= 'z'))
  151. # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
  152. #endif
  153. #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
  154. int
  155. main ()
  156. {
  157.   int i;
  158.   for (i = 0; i < 256; i++)
  159.     if (XOR (islower (i), ISLOWER (i))
  160. || toupper (i) != TOUPPER (i))
  161.       exit(2);
  162.   exit (0);
  163. }
  164. _ACEOF
  165. rm -f conftest$ac_exeext
  166. if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
  167.   (eval $ac_link) 2>&5
  168.   ac_status=$?
  169.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  170.   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  171.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  172.   (eval $ac_try) 2>&5
  173.   ac_status=$?
  174.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  175.   (exit $ac_status); }; }; then
  176.   :
  177. else
  178.   echo "$as_me: program exited with status $ac_status" >&5
  179. echo "$as_me: failed program was:" >&5
  180. sed 's/^/| /' conftest.$ac_ext >&5
  181. ( exit $ac_status )
  182. ac_cv_header_stdc=no
  183. fi
  184. rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  185. fi
  186. fi
  187. fi
  188. echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
  189. echo "${ECHO_T}$ac_cv_header_stdc" >&6
  190. if test $ac_cv_header_stdc = yes; then
  191. cat >>confdefs.h <<_ACEOF
  192. #define STDC_HEADERS 1
  193. _ACEOF
  194. fi
  195. # On IRIX 5.3, sys/types and inttypes.h are conflicting.
  196. for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h 
  197.   inttypes.h stdint.h unistd.h
  198. do
  199. as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
  200. echo "$as_me:$LINENO: checking for $ac_header" >&5
  201. echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
  202. if eval "test "${$as_ac_Header+set}" = set"; then
  203.   echo $ECHO_N "(cached) $ECHO_C" >&6
  204. else
  205.   cat >conftest.$ac_ext <<_ACEOF
  206. /* confdefs.h.  */
  207. _ACEOF
  208. cat confdefs.h >>conftest.$ac_ext
  209. cat >>conftest.$ac_ext <<_ACEOF
  210. /* end confdefs.h.  */
  211. $ac_includes_default
  212. #include <$ac_header>
  213. _ACEOF
  214. rm -f conftest.$ac_objext
  215. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  216.   (eval $ac_compile) 2>conftest.er1
  217.   ac_status=$?
  218.   grep -v '^ *+' conftest.er1 >conftest.err
  219.   rm -f conftest.er1
  220.   cat conftest.err >&5
  221.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  222.   (exit $ac_status); } &&
  223.  { ac_try='test -z "$ac_c_werror_flag"
  224.  || test ! -s conftest.err'
  225.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  226.   (eval $ac_try) 2>&5
  227.   ac_status=$?
  228.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  229.   (exit $ac_status); }; } &&
  230.  { ac_try='test -s conftest.$ac_objext'
  231.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  232.   (eval $ac_try) 2>&5
  233.   ac_status=$?
  234.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  235.   (exit $ac_status); }; }; then
  236.   eval "$as_ac_Header=yes"
  237. else
  238.   echo "$as_me: failed program was:" >&5
  239. sed 's/^/| /' conftest.$ac_ext >&5
  240. eval "$as_ac_Header=no"
  241. fi
  242. rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
  243. fi
  244. echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
  245. echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
  246. if test `eval echo '${'$as_ac_Header'}'` = yes; then
  247.   cat >>confdefs.h <<_ACEOF
  248. #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
  249. _ACEOF
  250. fi
  251. done
  252. for ac_header in inttypes.h
  253. do
  254. as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
  255. if eval "test "${$as_ac_Header+set}" = set"; then
  256.   echo "$as_me:$LINENO: checking for $ac_header" >&5
  257. echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
  258. if eval "test "${$as_ac_Header+set}" = set"; then
  259.   echo $ECHO_N "(cached) $ECHO_C" >&6
  260. fi
  261. echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
  262. echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
  263. else
  264.   # Is the header compilable?
  265. echo "$as_me:$LINENO: checking $ac_header usability" >&5
  266. echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
  267. cat >conftest.$ac_ext <<_ACEOF
  268. /* confdefs.h.  */
  269. _ACEOF
  270. cat confdefs.h >>conftest.$ac_ext
  271. cat >>conftest.$ac_ext <<_ACEOF
  272. /* end confdefs.h.  */
  273. $ac_includes_default
  274. #include <$ac_header>
  275. _ACEOF
  276. rm -f conftest.$ac_objext
  277. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  278.   (eval $ac_compile) 2>conftest.er1
  279.   ac_status=$?
  280.   grep -v '^ *+' conftest.er1 >conftest.err
  281.   rm -f conftest.er1
  282.   cat conftest.err >&5
  283.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  284.   (exit $ac_status); } &&
  285.  { ac_try='test -z "$ac_c_werror_flag"
  286.  || test ! -s conftest.err'
  287.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  288.   (eval $ac_try) 2>&5
  289.   ac_status=$?
  290.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  291.   (exit $ac_status); }; } &&
  292.  { ac_try='test -s conftest.$ac_objext'
  293.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  294.   (eval $ac_try) 2>&5
  295.   ac_status=$?
  296.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  297.   (exit $ac_status); }; }; then
  298.   ac_header_compiler=yes
  299. else
  300.   echo "$as_me: failed program was:" >&5
  301. sed 's/^/| /' conftest.$ac_ext >&5
  302. ac_header_compiler=no
  303. fi
  304. rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
  305. echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
  306. echo "${ECHO_T}$ac_header_compiler" >&6
  307. # Is the header present?
  308. echo "$as_me:$LINENO: checking $ac_header presence" >&5
  309. echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
  310. cat >conftest.$ac_ext <<_ACEOF
  311. /* confdefs.h.  */
  312. _ACEOF
  313. cat confdefs.h >>conftest.$ac_ext
  314. cat >>conftest.$ac_ext <<_ACEOF
  315. /* end confdefs.h.  */
  316. #include <$ac_header>
  317. _ACEOF
  318. if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
  319.   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
  320.   ac_status=$?
  321.   grep -v '^ *+' conftest.er1 >conftest.err
  322.   rm -f conftest.er1
  323.   cat conftest.err >&5
  324.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  325.   (exit $ac_status); } >/dev/null; then
  326.   if test -s conftest.err; then
  327.     ac_cpp_err=$ac_c_preproc_warn_flag
  328.     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
  329.   else
  330.     ac_cpp_err=
  331.   fi
  332. else
  333.   ac_cpp_err=yes
  334. fi
  335. if test -z "$ac_cpp_err"; then
  336.   ac_header_preproc=yes
  337. else
  338.   echo "$as_me: failed program was:" >&5
  339. sed 's/^/| /' conftest.$ac_ext >&5
  340.   ac_header_preproc=no
  341. fi
  342. rm -f conftest.err conftest.$ac_ext
  343. echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
  344. echo "${ECHO_T}$ac_header_preproc" >&6
  345. # So?  What about this header?
  346. case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
  347.   yes:no: )
  348.     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
  349. echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
  350.     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
  351. echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
  352.     ac_header_preproc=yes
  353.     ;;
  354.   no:yes:* )
  355.     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
  356. echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
  357.     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
  358. echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
  359.     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
  360. echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
  361.     { echo "$as_me:$LINENO: WARNING: $ac_header:     section "Present But Cannot Be Compiled"" >&5
  362. echo "$as_me: WARNING: $ac_header:     section "Present But Cannot Be Compiled"" >&2;}
  363.     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
  364. echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
  365.     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
  366. echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
  367.     (
  368.       cat <<_ASBOX
  369. ## ------------------------------------------ ##
  370. ## Report this to the AC_PACKAGE_NAME lists.  ##
  371. ## ------------------------------------------ ##
  372. _ASBOX
  373.     ) |
  374.       sed "s/^/$as_me: WARNING:     /" >&2
  375.     ;;
  376. esac
  377. echo "$as_me:$LINENO: checking for $ac_header" >&5
  378. echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
  379. if eval "test "${$as_ac_Header+set}" = set"; then
  380.   echo $ECHO_N "(cached) $ECHO_C" >&6
  381. else
  382.   eval "$as_ac_Header=$ac_header_preproc"
  383. fi
  384. echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
  385. echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
  386. fi
  387. if test `eval echo '${'$as_ac_Header'}'` = yes; then
  388.   cat >>confdefs.h <<_ACEOF
  389. #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
  390. _ACEOF
  391. fi
  392. done
  393. echo "$as_me:$LINENO: checking for unsigned long long" >&5
  394. echo $ECHO_N "checking for unsigned long long... $ECHO_C" >&6
  395. if test "${ac_cv_type_unsigned_long_long+set}" = set; then
  396.   echo $ECHO_N "(cached) $ECHO_C" >&6
  397. else
  398.   cat >conftest.$ac_ext <<_ACEOF
  399. /* confdefs.h.  */
  400. _ACEOF
  401. cat confdefs.h >>conftest.$ac_ext
  402. cat >>conftest.$ac_ext <<_ACEOF
  403. /* end confdefs.h.  */
  404. $ac_includes_default
  405. int
  406. main ()
  407. {
  408. if ((unsigned long long *) 0)
  409.   return 0;
  410. if (sizeof (unsigned long long))
  411.   return 0;
  412.   ;
  413.   return 0;
  414. }
  415. _ACEOF
  416. rm -f conftest.$ac_objext
  417. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  418.   (eval $ac_compile) 2>conftest.er1
  419.   ac_status=$?
  420.   grep -v '^ *+' conftest.er1 >conftest.err
  421.   rm -f conftest.er1
  422.   cat conftest.err >&5
  423.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  424.   (exit $ac_status); } &&
  425.  { ac_try='test -z "$ac_c_werror_flag"
  426.  || test ! -s conftest.err'
  427.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  428.   (eval $ac_try) 2>&5
  429.   ac_status=$?
  430.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  431.   (exit $ac_status); }; } &&
  432.  { ac_try='test -s conftest.$ac_objext'
  433.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  434.   (eval $ac_try) 2>&5
  435.   ac_status=$?
  436.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  437.   (exit $ac_status); }; }; then
  438.   ac_cv_type_unsigned_long_long=yes
  439. else
  440.   echo "$as_me: failed program was:" >&5
  441. sed 's/^/| /' conftest.$ac_ext >&5
  442. ac_cv_type_unsigned_long_long=no
  443. fi
  444. rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
  445. fi
  446. echo "$as_me:$LINENO: result: $ac_cv_type_unsigned_long_long" >&5
  447. echo "${ECHO_T}$ac_cv_type_unsigned_long_long" >&6
  448. echo "$as_me:$LINENO: checking for long long" >&5
  449. echo $ECHO_N "checking for long long... $ECHO_C" >&6
  450. if test "${ac_cv_type_long_long+set}" = set; then
  451.   echo $ECHO_N "(cached) $ECHO_C" >&6
  452. else
  453.   cat >conftest.$ac_ext <<_ACEOF
  454. /* confdefs.h.  */
  455. _ACEOF
  456. cat confdefs.h >>conftest.$ac_ext
  457. cat >>conftest.$ac_ext <<_ACEOF
  458. /* end confdefs.h.  */
  459. $ac_includes_default
  460. int
  461. main ()
  462. {
  463. if ((long long *) 0)
  464.   return 0;
  465. if (sizeof (long long))
  466.   return 0;
  467.   ;
  468.   return 0;
  469. }
  470. _ACEOF
  471. rm -f conftest.$ac_objext
  472. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  473.   (eval $ac_compile) 2>conftest.er1
  474.   ac_status=$?
  475.   grep -v '^ *+' conftest.er1 >conftest.err
  476.   rm -f conftest.er1
  477.   cat conftest.err >&5
  478.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  479.   (exit $ac_status); } &&
  480.  { ac_try='test -z "$ac_c_werror_flag"
  481.  || test ! -s conftest.err'
  482.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  483.   (eval $ac_try) 2>&5
  484.   ac_status=$?
  485.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  486.   (exit $ac_status); }; } &&
  487.  { ac_try='test -s conftest.$ac_objext'
  488.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  489.   (eval $ac_try) 2>&5
  490.   ac_status=$?
  491.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  492.   (exit $ac_status); }; }; then
  493.   ac_cv_type_long_long=yes
  494. else
  495.   echo "$as_me: failed program was:" >&5
  496. sed 's/^/| /' conftest.$ac_ext >&5
  497. ac_cv_type_long_long=no
  498. fi
  499. rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
  500. fi
  501. echo "$as_me:$LINENO: result: $ac_cv_type_long_long" >&5
  502. echo "${ECHO_T}$ac_cv_type_long_long" >&6
  503. for ac_func in strtoll
  504. do
  505. as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
  506. echo "$as_me:$LINENO: checking for $ac_func" >&5
  507. echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
  508. if eval "test "${$as_ac_var+set}" = set"; then
  509.   echo $ECHO_N "(cached) $ECHO_C" >&6
  510. else
  511.   cat >conftest.$ac_ext <<_ACEOF
  512. /* confdefs.h.  */
  513. _ACEOF
  514. cat confdefs.h >>conftest.$ac_ext
  515. cat >>conftest.$ac_ext <<_ACEOF
  516. /* end confdefs.h.  */
  517. /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
  518.    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
  519. #define $ac_func innocuous_$ac_func
  520. /* System header to define __stub macros and hopefully few prototypes,
  521.     which can conflict with char $ac_func (); below.
  522.     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
  523.     <limits.h> exists even on freestanding compilers.  */
  524. #ifdef __STDC__
  525. # include <limits.h>
  526. #else
  527. # include <assert.h>
  528. #endif
  529. #undef $ac_func
  530. /* Override any gcc2 internal prototype to avoid an error.  */
  531. #ifdef __cplusplus
  532. extern "C"
  533. {
  534. #endif
  535. /* We use char because int might match the return type of a gcc2
  536.    builtin and then its argument prototype would still apply.  */
  537. char $ac_func ();
  538. /* The GNU C library defines this for functions which it implements
  539.     to always fail with ENOSYS.  Some functions are actually named
  540.     something starting with __ and the normal name is an alias.  */
  541. #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
  542. choke me
  543. #else
  544. char (*f) () = $ac_func;
  545. #endif
  546. #ifdef __cplusplus
  547. }
  548. #endif
  549. int
  550. main ()
  551. {
  552. return f != $ac_func;
  553.   ;
  554.   return 0;
  555. }
  556. _ACEOF
  557. rm -f conftest.$ac_objext conftest$ac_exeext
  558. if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
  559.   (eval $ac_link) 2>conftest.er1
  560.   ac_status=$?
  561.   grep -v '^ *+' conftest.er1 >conftest.err
  562.   rm -f conftest.er1
  563.   cat conftest.err >&5
  564.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  565.   (exit $ac_status); } &&
  566.  { ac_try='test -z "$ac_c_werror_flag"
  567.  || test ! -s conftest.err'
  568.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  569.   (eval $ac_try) 2>&5
  570.   ac_status=$?
  571.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  572.   (exit $ac_status); }; } &&
  573.  { ac_try='test -s conftest$ac_exeext'
  574.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  575.   (eval $ac_try) 2>&5
  576.   ac_status=$?
  577.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  578.   (exit $ac_status); }; }; then
  579.   eval "$as_ac_var=yes"
  580. else
  581.   echo "$as_me: failed program was:" >&5
  582. sed 's/^/| /' conftest.$ac_ext >&5
  583. eval "$as_ac_var=no"
  584. fi
  585. rm -f conftest.err conftest.$ac_objext 
  586.       conftest$ac_exeext conftest.$ac_ext
  587. fi
  588. echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
  589. echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
  590. if test `eval echo '${'$as_ac_var'}'` = yes; then
  591.   cat >>confdefs.h <<_ACEOF
  592. #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
  593. _ACEOF
  594. fi
  595. done
  596. # Taken from libIDL-0.8.2
  597. echo "$as_me:$LINENO: checking for printf long long format specifier" >&5
  598. echo $ECHO_N "checking for printf long long format specifier... $ECHO_C" >&6
  599. if test "${long_long_format_specifier+set}" = set; then
  600.   echo $ECHO_N "(cached) $ECHO_C" >&6
  601. else
  602.     for format in ll l q I64; do
  603.         if test "$cross_compiling" = yes; then
  604.   { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
  605. See `config.log' for more details." >&5
  606. echo "$as_me: error: cannot run test program while cross compiling
  607. See `config.log' for more details." >&2;}
  608.    { (exit 1); exit 1; }; }
  609. else
  610.   cat >conftest.$ac_ext <<_ACEOF
  611. /* confdefs.h.  */
  612. _ACEOF
  613. cat confdefs.h >>conftest.$ac_ext
  614. cat >>conftest.$ac_ext <<_ACEOF
  615. /* end confdefs.h.  */
  616. #include <stdio.h>
  617.             int main()
  618.             {
  619.                 long long b, a = -0x3AFAFAFAFAFAFAFALL;
  620.                 char buffer[1000];
  621.                 sprintf (buffer, "%${format}u", a);
  622.                 sscanf (buffer, "%${format}u", &b);
  623.                 exit (b!=a);
  624.             }
  625. _ACEOF
  626. rm -f conftest$ac_exeext
  627. if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
  628.   (eval $ac_link) 2>&5
  629.   ac_status=$?
  630.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  631.   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  632.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  633.   (eval $ac_try) 2>&5
  634.   ac_status=$?
  635.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  636.   (exit $ac_status); }; }; then
  637.   long_long_format_specifier="%${format}d"
  638.             long_long_format="${format}d"
  639.             break
  640. else
  641.   echo "$as_me: program exited with status $ac_status" >&5
  642. echo "$as_me: failed program was:" >&5
  643. sed 's/^/| /' conftest.$ac_ext >&5
  644. fi
  645. rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  646. fi
  647.         done
  648. fi
  649. echo "$as_me:$LINENO: result: $long_long_format_specifier" >&5
  650. echo "${ECHO_T}$long_long_format_specifier" >&6
  651. cat >>confdefs.h <<_ACEOF
  652. #define LLD "$long_long_format_specifier"
  653. _ACEOF
  654. cat >>confdefs.h <<_ACEOF
  655. #define LLD_FORMAT "$long_long_format"
  656. _ACEOF
  657. echo "$as_me:$LINENO: checking for pow in -lm" >&5
  658. echo $ECHO_N "checking for pow in -lm... $ECHO_C" >&6
  659. if test "${ac_cv_lib_m_pow+set}" = set; then
  660.   echo $ECHO_N "(cached) $ECHO_C" >&6
  661. else
  662.   ac_check_lib_save_LIBS=$LIBS
  663. LIBS="-lm  $LIBS"
  664. cat >conftest.$ac_ext <<_ACEOF
  665. /* confdefs.h.  */
  666. _ACEOF
  667. cat confdefs.h >>conftest.$ac_ext
  668. cat >>conftest.$ac_ext <<_ACEOF
  669. /* end confdefs.h.  */
  670. /* Override any gcc2 internal prototype to avoid an error.  */
  671. #ifdef __cplusplus
  672. extern "C"
  673. #endif
  674. /* We use char because int might match the return type of a gcc2
  675.    builtin and then its argument prototype would still apply.  */
  676. char pow ();
  677. int
  678. main ()
  679. {
  680. pow ();
  681.   ;
  682.   return 0;
  683. }
  684. _ACEOF
  685. rm -f conftest.$ac_objext conftest$ac_exeext
  686. if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
  687.   (eval $ac_link) 2>conftest.er1
  688.   ac_status=$?
  689.   grep -v '^ *+' conftest.er1 >conftest.err
  690.   rm -f conftest.er1
  691.   cat conftest.err >&5
  692.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  693.   (exit $ac_status); } &&
  694.  { ac_try='test -z "$ac_c_werror_flag"
  695.  || test ! -s conftest.err'
  696.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  697.   (eval $ac_try) 2>&5
  698.   ac_status=$?
  699.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  700.   (exit $ac_status); }; } &&
  701.  { ac_try='test -s conftest$ac_exeext'
  702.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  703.   (eval $ac_try) 2>&5
  704.   ac_status=$?
  705.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  706.   (exit $ac_status); }; }; then
  707.   ac_cv_lib_m_pow=yes
  708. else
  709.   echo "$as_me: failed program was:" >&5
  710. sed 's/^/| /' conftest.$ac_ext >&5
  711. ac_cv_lib_m_pow=no
  712. fi
  713. rm -f conftest.err conftest.$ac_objext 
  714.       conftest$ac_exeext conftest.$ac_ext
  715. LIBS=$ac_check_lib_save_LIBS
  716. fi
  717. echo "$as_me:$LINENO: result: $ac_cv_lib_m_pow" >&5
  718. echo "${ECHO_T}$ac_cv_lib_m_pow" >&6
  719. if test $ac_cv_lib_m_pow = yes; then
  720.    MATHLIBS="-lm"
  721. fi
  722. # Check whether --with-gd or --without-gd was given.
  723. if test "${with_gd+set}" = set; then
  724.   withval="$with_gd"
  725.   LDFLAGS="${LDFLAGS} -L${withval}"
  726. CPPFLAGS="${CPPFLAGS} -I${withval}"
  727. LD_RUN_PATH="${withval}${LD_RUN_PATH:+:}${LD_RUN_PATH}"
  728. fi;
  729. # Check whether --with-gd-lib or --without-gd-lib was given.
  730. if test "${with_gd_lib+set}" = set; then
  731.   withval="$with_gd_lib"
  732.   LDFLAGS="${LDFLAGS} -L${withval}"
  733. LD_RUN_PATH="${withval}${LD_RUN_PATH:+:}${LD_RUN_PATH}"
  734. fi;
  735. # Check whether --with-gd-inc or --without-gd-inc was given.
  736. if test "${with_gd_inc+set}" = set; then
  737.   withval="$with_gd_inc"
  738.   CPPFLAGS="${CPPFLAGS} -I${withval}"
  739. fi;
  740. # Check whether --with-z or --without-z was given.
  741. if test "${with_z+set}" = set; then
  742.   withval="$with_z"
  743.   LDFLAGS="${LDFLAGS} -L${withval}"
  744. CPPFLAGS="${CPPFLAGS} -I${withval}"
  745. LD_RUN_PATH="${withval}${LD_RUN_PATH:+:}${LD_RUN_PATH}"
  746. fi;
  747. # Check whether --with-z-lib or --without-z-lib was given.
  748. if test "${with_z_lib+set}" = set; then
  749.   withval="$with_z_lib"
  750.   LDFLAGS="${LDFLAGS} -L${withval}"
  751. LD_RUN_PATH="${withval}${LD_RUN_PATH:+:}${LD_RUN_PATH}"
  752. fi;
  753. # Check whether --with-z-inc or --without-z-inc was given.
  754. if test "${with_z_inc+set}" = set; then
  755.   withval="$with_z_inc"
  756.   CPPFLAGS="${CPPFLAGS} -I${withval}"
  757. fi;
  758. # Check whether --with-png or --without-png was given.
  759. if test "${with_png+set}" = set; then
  760.   withval="$with_png"
  761.   LDFLAGS="${LDFLAGS} -L${withval}"
  762. CPPFLAGS="${CPPFLAGS} -I${withval}"
  763. LD_RUN_PATH="${withval}${LD_RUN_PATH:+:}${LD_RUN_PATH}"
  764. fi;
  765. # Check whether --with-png-lib or --without-png-lib was given.
  766. if test "${with_png_lib+set}" = set; then
  767.   withval="$with_png_lib"
  768.   LDFLAGS="${LDFLAGS} -L${withval}"
  769. LD_RUN_PATH="${withval}${LD_RUN_PATH:+:}${LD_RUN_PATH}"
  770. fi;
  771. # Check whether --with-png-inc or --without-png-inc was given.
  772. if test "${with_png_inc+set}" = set; then
  773.   withval="$with_png_inc"
  774.   CPPFLAGS="${CPPFLAGS} -I${withval}"
  775. fi;
  776. LIBS="${LIBS} ${MATHLIBS}"
  777. GDEXTRALIB=""
  778. echo "$as_me:$LINENO: checking for gdImageGif in -lgd" >&5
  779. echo $ECHO_N "checking for gdImageGif in -lgd... $ECHO_C" >&6
  780. if test "${ac_cv_lib_gd_gdImageGif+set}" = set; then
  781.   echo $ECHO_N "(cached) $ECHO_C" >&6
  782. else
  783.   ac_check_lib_save_LIBS=$LIBS
  784. LIBS="-lgd -lgd ${MATHLIBS} $LIBS"
  785. cat >conftest.$ac_ext <<_ACEOF
  786. /* confdefs.h.  */
  787. _ACEOF
  788. cat confdefs.h >>conftest.$ac_ext
  789. cat >>conftest.$ac_ext <<_ACEOF
  790. /* end confdefs.h.  */
  791. /* Override any gcc2 internal prototype to avoid an error.  */
  792. #ifdef __cplusplus
  793. extern "C"
  794. #endif
  795. /* We use char because int might match the return type of a gcc2
  796.    builtin and then its argument prototype would still apply.  */
  797. char gdImageGif ();
  798. int
  799. main ()
  800. {
  801. gdImageGif ();
  802.   ;
  803.   return 0;
  804. }
  805. _ACEOF
  806. rm -f conftest.$ac_objext conftest$ac_exeext
  807. if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
  808.   (eval $ac_link) 2>conftest.er1
  809.   ac_status=$?
  810.   grep -v '^ *+' conftest.er1 >conftest.err
  811.   rm -f conftest.er1
  812.   cat conftest.err >&5
  813.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  814.   (exit $ac_status); } &&
  815.  { ac_try='test -z "$ac_c_werror_flag"
  816.  || test ! -s conftest.err'
  817.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  818.   (eval $ac_try) 2>&5
  819.   ac_status=$?
  820.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  821.   (exit $ac_status); }; } &&
  822.  { ac_try='test -s conftest$ac_exeext'
  823.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  824.   (eval $ac_try) 2>&5
  825.   ac_status=$?
  826.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  827.   (exit $ac_status); }; }; then
  828.   ac_cv_lib_gd_gdImageGif=yes
  829. else
  830.   echo "$as_me: failed program was:" >&5
  831. sed 's/^/| /' conftest.$ac_ext >&5
  832. ac_cv_lib_gd_gdImageGif=no
  833. fi
  834. rm -f conftest.err conftest.$ac_objext 
  835.       conftest$ac_exeext conftest.$ac_ext
  836. LIBS=$ac_check_lib_save_LIBS
  837. fi
  838. echo "$as_me:$LINENO: result: $ac_cv_lib_gd_gdImageGif" >&5
  839. echo "${ECHO_T}$ac_cv_lib_gd_gdImageGif" >&6
  840. if test $ac_cv_lib_gd_gdImageGif = yes; then
  841.   GDFORM_EXT=gif
  842.   GLIBS="-lgd"
  843. else
  844.   :
  845. fi
  846. echo "$as_me:$LINENO: checking for gdImagePng in -lgd" >&5
  847. echo $ECHO_N "checking for gdImagePng in -lgd... $ECHO_C" >&6
  848. if test "${ac_cv_lib_gd_gdImagePng+set}" = set; then
  849.   echo $ECHO_N "(cached) $ECHO_C" >&6
  850. else
  851.   ac_check_lib_save_LIBS=$LIBS
  852. LIBS="-lgd -lgd -lpng -lz ${MATHLIBS} $LIBS"
  853. cat >conftest.$ac_ext <<_ACEOF
  854. /* confdefs.h.  */
  855. _ACEOF
  856. cat confdefs.h >>conftest.$ac_ext
  857. cat >>conftest.$ac_ext <<_ACEOF
  858. /* end confdefs.h.  */
  859. /* Override any gcc2 internal prototype to avoid an error.  */
  860. #ifdef __cplusplus
  861. extern "C"
  862. #endif
  863. /* We use char because int might match the return type of a gcc2
  864.    builtin and then its argument prototype would still apply.  */
  865. char gdImagePng ();
  866. int
  867. main ()
  868. {
  869. gdImagePng ();
  870.   ;
  871.   return 0;
  872. }
  873. _ACEOF
  874. rm -f conftest.$ac_objext conftest$ac_exeext
  875. if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
  876.   (eval $ac_link) 2>conftest.er1
  877.   ac_status=$?
  878.   grep -v '^ *+' conftest.er1 >conftest.err
  879.   rm -f conftest.er1
  880.   cat conftest.err >&5
  881.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  882.   (exit $ac_status); } &&
  883.  { ac_try='test -z "$ac_c_werror_flag"
  884.  || test ! -s conftest.err'
  885.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  886.   (eval $ac_try) 2>&5
  887.   ac_status=$?
  888.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  889.   (exit $ac_status); }; } &&
  890.  { ac_try='test -s conftest$ac_exeext'
  891.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  892.   (eval $ac_try) 2>&5
  893.   ac_status=$?
  894.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  895.   (exit $ac_status); }; }; then
  896.   ac_cv_lib_gd_gdImagePng=yes
  897. else
  898.   echo "$as_me: failed program was:" >&5
  899. sed 's/^/| /' conftest.$ac_ext >&5
  900. ac_cv_lib_gd_gdImagePng=no
  901. fi
  902. rm -f conftest.err conftest.$ac_objext 
  903.       conftest$ac_exeext conftest.$ac_ext
  904. LIBS=$ac_check_lib_save_LIBS
  905. fi
  906. echo "$as_me:$LINENO: result: $ac_cv_lib_gd_gdImagePng" >&5
  907. echo "${ECHO_T}$ac_cv_lib_gd_gdImagePng" >&6
  908. if test $ac_cv_lib_gd_gdImagePng = yes; then
  909.    GDFORM_EXT=png
  910.    GLIBS="-lgd -lpng -lz"
  911. else
  912.   :
  913. fi
  914. echo "$as_me:$LINENO: checking for gdImagePng_jpg in -lgd" >&5
  915. echo $ECHO_N "checking for gdImagePng_jpg in -lgd... $ECHO_C" >&6
  916. if test "${ac_cv_lib_gd_gdImagePng_jpg+set}" = set; then
  917.   echo $ECHO_N "(cached) $ECHO_C" >&6
  918. else
  919.   ac_check_lib_save_LIBS=$LIBS
  920. LIBS="-lgd -lgd -lpng -lz -ljpeg ${MATHLIBS} $LIBS"
  921. cat >conftest.$ac_ext <<_ACEOF
  922. /* confdefs.h.  */
  923. _ACEOF
  924. cat confdefs.h >>conftest.$ac_ext
  925. cat >>conftest.$ac_ext <<_ACEOF
  926. /* end confdefs.h.  */
  927. /* Override any gcc2 internal prototype to avoid an error.  */
  928. #ifdef __cplusplus
  929. extern "C"
  930. #endif
  931. /* We use char because int might match the return type of a gcc2
  932.    builtin and then its argument prototype would still apply.  */
  933. char gdImagePng_jpg ();
  934. int
  935. main ()
  936. {
  937. gdImagePng_jpg ();
  938.   ;
  939.   return 0;
  940. }
  941. _ACEOF
  942. rm -f conftest.$ac_objext conftest$ac_exeext
  943. if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
  944.   (eval $ac_link) 2>conftest.er1
  945.   ac_status=$?
  946.   grep -v '^ *+' conftest.er1 >conftest.err
  947.   rm -f conftest.er1
  948.   cat conftest.err >&5
  949.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  950.   (exit $ac_status); } &&
  951.  { ac_try='test -z "$ac_c_werror_flag"
  952.  || test ! -s conftest.err'
  953.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  954.   (eval $ac_try) 2>&5
  955.   ac_status=$?
  956.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  957.   (exit $ac_status); }; } &&
  958.  { ac_try='test -s conftest$ac_exeext'
  959.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  960.   (eval $ac_try) 2>&5
  961.   ac_status=$?
  962.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  963.   (exit $ac_status); }; }; then
  964.   ac_cv_lib_gd_gdImagePng_jpg=yes
  965. else
  966.   echo "$as_me: failed program was:" >&5
  967. sed 's/^/| /' conftest.$ac_ext >&5
  968. ac_cv_lib_gd_gdImagePng_jpg=no
  969. fi
  970. rm -f conftest.err conftest.$ac_objext 
  971.       conftest$ac_exeext conftest.$ac_ext
  972. LIBS=$ac_check_lib_save_LIBS
  973. fi
  974. echo "$as_me:$LINENO: result: $ac_cv_lib_gd_gdImagePng_jpg" >&5
  975. echo "${ECHO_T}$ac_cv_lib_gd_gdImagePng_jpg" >&6
  976. if test $ac_cv_lib_gd_gdImagePng_jpg = yes; then
  977.    GDFORM_EXT=png
  978.    GLIBS="-lgd -lpng -lz -ljpeg"
  979. else
  980.   :
  981. fi
  982. echo "$as_me:$LINENO: checking for gdImagePng_jpg_ft in -lgd" >&5
  983. echo $ECHO_N "checking for gdImagePng_jpg_ft in -lgd... $ECHO_C" >&6
  984. if test "${ac_cv_lib_gd_gdImagePng_jpg_ft+set}" = set; then
  985.   echo $ECHO_N "(cached) $ECHO_C" >&6
  986. else
  987.   ac_check_lib_save_LIBS=$LIBS
  988. LIBS="-lgd -lgd -lpng -lz -ljpeg -lfreetype ${MATHLIBS} $LIBS"
  989. cat >conftest.$ac_ext <<_ACEOF
  990. /* confdefs.h.  */
  991. _ACEOF
  992. cat confdefs.h >>conftest.$ac_ext
  993. cat >>conftest.$ac_ext <<_ACEOF
  994. /* end confdefs.h.  */
  995. /* Override any gcc2 internal prototype to avoid an error.  */
  996. #ifdef __cplusplus
  997. extern "C"
  998. #endif
  999. /* We use char because int might match the return type of a gcc2
  1000.    builtin and then its argument prototype would still apply.  */
  1001. char gdImagePng_jpg_ft ();
  1002. int
  1003. main ()
  1004. {
  1005. gdImagePng_jpg_ft ();
  1006.   ;
  1007.   return 0;
  1008. }
  1009. _ACEOF
  1010. rm -f conftest.$ac_objext conftest$ac_exeext
  1011. if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
  1012.   (eval $ac_link) 2>conftest.er1
  1013.   ac_status=$?
  1014.   grep -v '^ *+' conftest.er1 >conftest.err
  1015.   rm -f conftest.er1
  1016.   cat conftest.err >&5
  1017.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1018.   (exit $ac_status); } &&
  1019.  { ac_try='test -z "$ac_c_werror_flag"
  1020.  || test ! -s conftest.err'
  1021.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1022.   (eval $ac_try) 2>&5
  1023.   ac_status=$?
  1024.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1025.   (exit $ac_status); }; } &&
  1026.  { ac_try='test -s conftest$ac_exeext'
  1027.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1028.   (eval $ac_try) 2>&5
  1029.   ac_status=$?
  1030.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1031.   (exit $ac_status); }; }; then
  1032.   ac_cv_lib_gd_gdImagePng_jpg_ft=yes
  1033. else
  1034.   echo "$as_me: failed program was:" >&5
  1035. sed 's/^/| /' conftest.$ac_ext >&5
  1036. ac_cv_lib_gd_gdImagePng_jpg_ft=no
  1037. fi
  1038. rm -f conftest.err conftest.$ac_objext 
  1039.       conftest$ac_exeext conftest.$ac_ext
  1040. LIBS=$ac_check_lib_save_LIBS
  1041. fi
  1042. echo "$as_me:$LINENO: result: $ac_cv_lib_gd_gdImagePng_jpg_ft" >&5
  1043. echo "${ECHO_T}$ac_cv_lib_gd_gdImagePng_jpg_ft" >&6
  1044. if test $ac_cv_lib_gd_gdImagePng_jpg_ft = yes; then
  1045.    GDFORM_EXT=png
  1046.    GLIBS="-lgd -lpng -lz -ljpeg -lfreetype"
  1047. else
  1048.   :
  1049. fi
  1050. if test x$GDFORM_EXT = xgif; then
  1051.   CPPFLAGS="$CPPFLAGS -DGFORM_GD=gdImageGif"
  1052. fi
  1053. echo "$as_me:$LINENO: checking for gdImageGd in -lgd" >&5
  1054. echo $ECHO_N "checking for gdImageGd in -lgd... $ECHO_C" >&6
  1055. if test "${ac_cv_lib_gd_gdImageGd+set}" = set; then
  1056.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1057. else
  1058.   ac_check_lib_save_LIBS=$LIBS
  1059. LIBS="-lgd -Wl,-Bstatic ${GLIBS} -Wl,-Bdynamic $LIBS"
  1060. cat >conftest.$ac_ext <<_ACEOF
  1061. /* confdefs.h.  */
  1062. _ACEOF
  1063. cat confdefs.h >>conftest.$ac_ext
  1064. cat >>conftest.$ac_ext <<_ACEOF
  1065. /* end confdefs.h.  */
  1066. /* Override any gcc2 internal prototype to avoid an error.  */
  1067. #ifdef __cplusplus
  1068. extern "C"
  1069. #endif
  1070. /* We use char because int might match the return type of a gcc2
  1071.    builtin and then its argument prototype would still apply.  */
  1072. char gdImageGd ();
  1073. int
  1074. main ()
  1075. {
  1076. gdImageGd ();
  1077.   ;
  1078.   return 0;
  1079. }
  1080. _ACEOF
  1081. rm -f conftest.$ac_objext conftest$ac_exeext
  1082. if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
  1083.   (eval $ac_link) 2>conftest.er1
  1084.   ac_status=$?
  1085.   grep -v '^ *+' conftest.er1 >conftest.err
  1086.   rm -f conftest.er1
  1087.   cat conftest.err >&5
  1088.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1089.   (exit $ac_status); } &&
  1090.  { ac_try='test -z "$ac_c_werror_flag"
  1091.  || test ! -s conftest.err'
  1092.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1093.   (eval $ac_try) 2>&5
  1094.   ac_status=$?
  1095.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1096.   (exit $ac_status); }; } &&
  1097.  { ac_try='test -s conftest$ac_exeext'
  1098.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1099.   (eval $ac_try) 2>&5
  1100.   ac_status=$?
  1101.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1102.   (exit $ac_status); }; }; then
  1103.   ac_cv_lib_gd_gdImageGd=yes
  1104. else
  1105.   echo "$as_me: failed program was:" >&5
  1106. sed 's/^/| /' conftest.$ac_ext >&5
  1107. ac_cv_lib_gd_gdImageGd=no
  1108. fi
  1109. rm -f conftest.err conftest.$ac_objext 
  1110.       conftest$ac_exeext conftest.$ac_ext
  1111. LIBS=$ac_check_lib_save_LIBS
  1112. fi
  1113. echo "$as_me:$LINENO: result: $ac_cv_lib_gd_gdImageGd" >&5
  1114. echo "${ECHO_T}$ac_cv_lib_gd_gdImageGd" >&6
  1115. if test $ac_cv_lib_gd_gdImageGd = yes; then
  1116.    GLIBS="-Wl,-Bstatic ${GLIBS} -Wl,-Bdynamic"
  1117. else
  1118.   :
  1119. fi
  1120. if test x$GDFORM_EXT = xpng; then
  1121.   CPPFLAGS="$CPPFLAGS -DGFORM_GD=gdImagePng"
  1122. fi
  1123. LIBS="${GLIBS} ${LIBS}"
  1124. if test "${ac_cv_header_gd_h+set}" = set; then
  1125.   echo "$as_me:$LINENO: checking for gd.h" >&5
  1126. echo $ECHO_N "checking for gd.h... $ECHO_C" >&6
  1127. if test "${ac_cv_header_gd_h+set}" = set; then
  1128.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1129. fi
  1130. echo "$as_me:$LINENO: result: $ac_cv_header_gd_h" >&5
  1131. echo "${ECHO_T}$ac_cv_header_gd_h" >&6
  1132. else
  1133.   # Is the header compilable?
  1134. echo "$as_me:$LINENO: checking gd.h usability" >&5
  1135. echo $ECHO_N "checking gd.h usability... $ECHO_C" >&6
  1136. cat >conftest.$ac_ext <<_ACEOF
  1137. /* confdefs.h.  */
  1138. _ACEOF
  1139. cat confdefs.h >>conftest.$ac_ext
  1140. cat >>conftest.$ac_ext <<_ACEOF
  1141. /* end confdefs.h.  */
  1142. $ac_includes_default
  1143. #include <gd.h>
  1144. _ACEOF
  1145. rm -f conftest.$ac_objext
  1146. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  1147.   (eval $ac_compile) 2>conftest.er1
  1148.   ac_status=$?
  1149.   grep -v '^ *+' conftest.er1 >conftest.err
  1150.   rm -f conftest.er1
  1151.   cat conftest.err >&5
  1152.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1153.   (exit $ac_status); } &&
  1154.  { ac_try='test -z "$ac_c_werror_flag"
  1155.  || test ! -s conftest.err'
  1156.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1157.   (eval $ac_try) 2>&5
  1158.   ac_status=$?
  1159.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1160.   (exit $ac_status); }; } &&
  1161.  { ac_try='test -s conftest.$ac_objext'
  1162.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1163.   (eval $ac_try) 2>&5
  1164.   ac_status=$?
  1165.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1166.   (exit $ac_status); }; }; then
  1167.   ac_header_compiler=yes
  1168. else
  1169.   echo "$as_me: failed program was:" >&5
  1170. sed 's/^/| /' conftest.$ac_ext >&5
  1171. ac_header_compiler=no
  1172. fi
  1173. rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
  1174. echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
  1175. echo "${ECHO_T}$ac_header_compiler" >&6
  1176. # Is the header present?
  1177. echo "$as_me:$LINENO: checking gd.h presence" >&5
  1178. echo $ECHO_N "checking gd.h presence... $ECHO_C" >&6
  1179. cat >conftest.$ac_ext <<_ACEOF
  1180. /* confdefs.h.  */
  1181. _ACEOF
  1182. cat confdefs.h >>conftest.$ac_ext
  1183. cat >>conftest.$ac_ext <<_ACEOF
  1184. /* end confdefs.h.  */
  1185. #include <gd.h>
  1186. _ACEOF
  1187. if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
  1188.   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
  1189.   ac_status=$?
  1190.   grep -v '^ *+' conftest.er1 >conftest.err
  1191.   rm -f conftest.er1
  1192.   cat conftest.err >&5
  1193.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1194.   (exit $ac_status); } >/dev/null; then
  1195.   if test -s conftest.err; then
  1196.     ac_cpp_err=$ac_c_preproc_warn_flag
  1197.     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
  1198.   else
  1199.     ac_cpp_err=
  1200.   fi
  1201. else
  1202.   ac_cpp_err=yes
  1203. fi
  1204. if test -z "$ac_cpp_err"; then
  1205.   ac_header_preproc=yes
  1206. else
  1207.   echo "$as_me: failed program was:" >&5
  1208. sed 's/^/| /' conftest.$ac_ext >&5
  1209.   ac_header_preproc=no
  1210. fi
  1211. rm -f conftest.err conftest.$ac_ext
  1212. echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
  1213. echo "${ECHO_T}$ac_header_preproc" >&6
  1214. # So?  What about this header?
  1215. case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
  1216.   yes:no: )
  1217.     { echo "$as_me:$LINENO: WARNING: gd.h: accepted by the compiler, rejected by the preprocessor!" >&5
  1218. echo "$as_me: WARNING: gd.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
  1219.     { echo "$as_me:$LINENO: WARNING: gd.h: proceeding with the compiler's result" >&5
  1220. echo "$as_me: WARNING: gd.h: proceeding with the compiler's result" >&2;}
  1221.     ac_header_preproc=yes
  1222.     ;;
  1223.   no:yes:* )
  1224.     { echo "$as_me:$LINENO: WARNING: gd.h: present but cannot be compiled" >&5
  1225. echo "$as_me: WARNING: gd.h: present but cannot be compiled" >&2;}
  1226.     { echo "$as_me:$LINENO: WARNING: gd.h:     check for missing prerequisite headers?" >&5
  1227. echo "$as_me: WARNING: gd.h:     check for missing prerequisite headers?" >&2;}
  1228.     { echo "$as_me:$LINENO: WARNING: gd.h: see the Autoconf documentation" >&5
  1229. echo "$as_me: WARNING: gd.h: see the Autoconf documentation" >&2;}
  1230.     { echo "$as_me:$LINENO: WARNING: gd.h:     section "Present But Cannot Be Compiled"" >&5
  1231. echo "$as_me: WARNING: gd.h:     section "Present But Cannot Be Compiled"" >&2;}
  1232.     { echo "$as_me:$LINENO: WARNING: gd.h: proceeding with the preprocessor's result" >&5
  1233. echo "$as_me: WARNING: gd.h: proceeding with the preprocessor's result" >&2;}
  1234.     { echo "$as_me:$LINENO: WARNING: gd.h: in the future, the compiler will take precedence" >&5
  1235. echo "$as_me: WARNING: gd.h: in the future, the compiler will take precedence" >&2;}
  1236.     (
  1237.       cat <<_ASBOX
  1238. ## ------------------------------------------ ##
  1239. ## Report this to the AC_PACKAGE_NAME lists.  ##
  1240. ## ------------------------------------------ ##
  1241. _ASBOX
  1242.     ) |
  1243.       sed "s/^/$as_me: WARNING:     /" >&2
  1244.     ;;
  1245. esac
  1246. echo "$as_me:$LINENO: checking for gd.h" >&5
  1247. echo $ECHO_N "checking for gd.h... $ECHO_C" >&6
  1248. if test "${ac_cv_header_gd_h+set}" = set; then
  1249.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1250. else
  1251.   ac_cv_header_gd_h=$ac_header_preproc
  1252. fi
  1253. echo "$as_me:$LINENO: result: $ac_cv_header_gd_h" >&5
  1254. echo "${ECHO_T}$ac_cv_header_gd_h" >&6
  1255. fi
  1256. if test $ac_cv_header_gd_h = yes; then
  1257.   :
  1258. else
  1259.    GDFORM_EXT=""
  1260. fi
  1261. if test x$GDFORM_EXT = x; then
  1262. echo
  1263. echo "** Ooops, one of many bad things happened:"
  1264. echo ""
  1265. echo "   a)  You don't have the GD library installed."
  1266. echo "       Get it from http://www.boutell.com, compile it and"
  1267. echo "       use either --with-gd-lib=DIR and --with-gd-inc=DIR to specify"
  1268. echo "       its location. You might also have to use --with-z-inc,"
  1269.         echo "      --with-z-lib and --with-png-inc, --with-png-lib for gd"
  1270.         echo "      versions 1.6 and higher.  Check config.log for more"
  1271. echo "       information on the problem."
  1272. echo ""
  1273. echo "   b)  You have the GD library installed, but not the gd.h"
  1274. echo "       header file.  Download the source (see above) and use"
  1275. echo "       --with-gd-inc=DIR to specify where the file can be found."
  1276. echo ""
  1277. echo "   c)  You have the library and the header file installed, but"
  1278. echo "       you also have a shared GD library in the same directory. "
  1279.         echo "       Remove the shared library files and/or links (e.g. "
  1280. echo "       libgd.so.2.0.0, libgd.so and libgd.so.2).  This is especially"
  1281.         echo "      likely if you're using a recent (post 1.8.4) version of GD"
  1282. echo "       and didn't configure it with --disable-shared."
  1283. echo ""
  1284. echo "   d)  You have gd library installed and also it's headers, but you are"
  1285. echo "       missing libpng (and headers) or freetype (and headers)"
  1286. echo "       (mrtg does not use freetype, but if your copy of gd is precompiled"
  1287. echo "       against it, you have to install it ... "
  1288. echo ""
  1289.         echo "   Consider following the instructions in doc/mrtg-unix-guide.txt"
  1290. exit 1
  1291. fi
  1292. echo "$as_me:$LINENO: checking the weather" >&5
  1293. echo $ECHO_N "checking the weather... $ECHO_C" >&6
  1294. echo "$as_me:$LINENO: result: (cached) it's fine" >&5
  1295. echo "${ECHO_T}(cached) it's fine" >&6
  1296. if test "x$GCC" = "xyes"; then
  1297.   oCFLAGS=$CFLAGS
  1298.   CFLAGS="$CFLAGS -Wall -Wpointer-arith -Wcast-align -Wmissing-declarations -Wnested-externs -Winline -W"
  1299.   echo "$as_me:$LINENO: checking if we can use GCC-specific compiler options" >&5
  1300. echo $ECHO_N "checking if we can use GCC-specific compiler options... $ECHO_C" >&6
  1301. if test "${rd_cv_gcc_opt+set}" = set; then
  1302.   echo $ECHO_N "(cached) $ECHO_C" >&6
  1303. else
  1304.   cat >conftest.$ac_ext <<_ACEOF
  1305. /* confdefs.h.  */
  1306. _ACEOF
  1307. cat confdefs.h >>conftest.$ac_ext
  1308. cat >>conftest.$ac_ext <<_ACEOF
  1309. /* end confdefs.h.  */
  1310. int
  1311. main ()
  1312. {
  1313. return 0
  1314.   ;
  1315.   return 0;
  1316. }
  1317. _ACEOF
  1318. rm -f conftest.$ac_objext
  1319. if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
  1320.   (eval $ac_compile) 2>conftest.er1
  1321.   ac_status=$?
  1322.   grep -v '^ *+' conftest.er1 >conftest.err
  1323.   rm -f conftest.er1
  1324.   cat conftest.err >&5
  1325.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1326.   (exit $ac_status); } &&
  1327.  { ac_try='test -z "$ac_c_werror_flag"
  1328.  || test ! -s conftest.err'
  1329.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1330.   (eval $ac_try) 2>&5
  1331.   ac_status=$?
  1332.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1333.   (exit $ac_status); }; } &&
  1334.  { ac_try='test -s conftest.$ac_objext'
  1335.   { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
  1336.   (eval $ac_try) 2>&5
  1337.   ac_status=$?
  1338.   echo "$as_me:$LINENO: $? = $ac_status" >&5
  1339.   (exit $ac_status); }; }; then
  1340.   rd_cv_gcc_opt=yes
  1341. else
  1342.   echo "$as_me: failed program was:" >&5
  1343. sed 's/^/| /' conftest.$ac_ext >&5
  1344. rd_cv_gcc_opt=no
  1345. fi
  1346. rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
  1347. fi
  1348. echo "$as_me:$LINENO: result: $rd_cv_gcc_opt" >&5
  1349. echo "${ECHO_T}$rd_cv_gcc_opt" >&6
  1350.   if test $rd_cv_gcc_opt = no; then
  1351.          CFLAGS=$oCFLAGS
  1352.   fi
  1353. fi
  1354.           ac_config_headers="$ac_config_headers config.h"
  1355.           ac_config_files="$ac_config_files Makefile"
  1356. cat >confcache <<_ACEOF
  1357. # This file is a shell script that caches the results of configure
  1358. # tests run on this system so they can be shared between configure
  1359. # scripts and configure runs, see configure's option --config-cache.
  1360. # It is not useful on other systems.  If it contains results you don't
  1361. # want to keep, you may remove or edit it.
  1362. #
  1363. # config.status only pays attention to the cache file if you give it
  1364. # the --recheck option to rerun configure.
  1365. #
  1366. # `ac_cv_env_foo' variables (set or unset) will be overridden when
  1367. # loading this file, other *unset* `ac_cv_foo' will be assigned the
  1368. # following values.
  1369. _ACEOF
  1370. # The following way of writing the cache mishandles newlines in values,
  1371. # but we know of no workaround that is simple, portable, and efficient.
  1372. # So, don't put newlines in cache variables' values.
  1373. # Ultrix sh set writes to stderr and can't be redirected directly,
  1374. # and sets the high bit in the cache file unless we assign to the vars.
  1375. {
  1376.   (set) 2>&1 |
  1377.     case `(ac_space=' '; set | grep ac_space) 2>&1` in
  1378.     *ac_space= *)
  1379.       # `set' does not quote correctly, so add quotes (double-quote
  1380.       # substitution turns \\ into \, and sed turns \ into ).
  1381.       sed -n 
  1382. "s/'/'\\''/g;
  1383.   s/^\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\)=\(.*\)/\1='\2'/p"
  1384.       ;;
  1385.     *)
  1386.       # `set' quotes correctly as required by POSIX, so do not add quotes.
  1387.       sed -n 
  1388. "s/^\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\)=\(.*\)/\1=\2/p"
  1389.       ;;
  1390.     esac;
  1391. } |
  1392.   sed '
  1393.      t clear
  1394.      : clear
  1395.      s/^([^=]*)=(.*[{}].*)$/test "${1+set}" = set || &/
  1396.      t end
  1397.      /^ac_cv_env/!s/^([^=]*)=(.*)$/1=${1=2}/
  1398.      : end' >>confcache
  1399. if diff $cache_file confcache >/dev/null 2>&1; then :; else
  1400.   if test -w $cache_file; then
  1401.     test "x$cache_file" != "x/dev/null" && echo "updating cache $cache_file"
  1402.     cat confcache >$cache_file
  1403.   else
  1404.     echo "not updating unwritable cache $cache_file"
  1405.   fi
  1406. fi
  1407. rm -f confcache
  1408. test "x$prefix" = xNONE && prefix=$ac_default_prefix
  1409. # Let make expand exec_prefix.
  1410. test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
  1411. # VPATH may cause trouble with some makes, so we remove $(srcdir),
  1412. # ${srcdir} and @srcdir@ from VPATH if srcdir is ".", strip leading and
  1413. # trailing colons and then remove the whole line if VPATH becomes empty
  1414. # (actually we leave an empty line to preserve line numbers).
  1415. if test "x$srcdir" = x.; then
  1416.   ac_vpsub='/^[  ]*VPATH[  ]*=/{
  1417. s/:*$(srcdir):*/:/;
  1418. s/:*${srcdir}:*/:/;
  1419. s/:*@srcdir@:*/:/;
  1420. s/^([^=]*=[  ]*):*/1/;
  1421. s/:*$//;
  1422. s/^[^=]*=[  ]*$//;
  1423. }'
  1424. fi
  1425. DEFS=-DHAVE_CONFIG_H
  1426. ac_libobjs=
  1427. ac_ltlibobjs=
  1428. for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
  1429.   # 1. Remove the extension, and $U if already installed.
  1430.   ac_i=`echo "$ac_i" |
  1431.  sed 's/$U././;s/.o$//;s/.obj$//'`
  1432.   # 2. Add them.
  1433.   ac_libobjs="$ac_libobjs $ac_i$U.$ac_objext"
  1434.   ac_ltlibobjs="$ac_ltlibobjs $ac_i"'$U.lo'
  1435. done
  1436. LIBOBJS=$ac_libobjs
  1437. LTLIBOBJS=$ac_ltlibobjs
  1438. : ${CONFIG_STATUS=./config.status}
  1439. ac_clean_files_save=$ac_clean_files
  1440. ac_clean_files="$ac_clean_files $CONFIG_STATUS"
  1441. { echo "$as_me:$LINENO: creating $CONFIG_STATUS" >&5
  1442. echo "$as_me: creating $CONFIG_STATUS" >&6;}
  1443. cat >$CONFIG_STATUS <<_ACEOF
  1444. #! $SHELL
  1445. # Generated by $as_me.
  1446. # Run this file to recreate the current configuration.
  1447. # Compiler output produced by configure, useful for debugging
  1448. # configure, is in config.log if it exists.
  1449. debug=false
  1450. ac_cs_recheck=false
  1451. ac_cs_silent=false
  1452. SHELL=${CONFIG_SHELL-$SHELL}
  1453. _ACEOF
  1454. cat >>$CONFIG_STATUS <<_ACEOF
  1455. ## --------------------- ##
  1456. ## M4sh Initialization.  ##
  1457. ## --------------------- ##
  1458. # Be Bourne compatible
  1459. if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  1460.   emulate sh
  1461.   NULLCMD=:
  1462.   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  1463.   # is contrary to our usage.  Disable this feature.
  1464.   alias -g '${1+"$@"}'='"$@"'
  1465. elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  1466.   set -o posix
  1467. fi
  1468. DUALCASE=1; export DUALCASE # for MKS sh
  1469. # Support unset when possible.
  1470. if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
  1471.   as_unset=unset
  1472. else
  1473.   as_unset=false
  1474. fi
  1475. # Work around bugs in pre-3.0 UWIN ksh.
  1476. $as_unset ENV MAIL MAILPATH
  1477. PS1='$ '
  1478. PS2='> '
  1479. PS4='+ '
  1480. # NLS nuisances.
  1481. for as_var in 
  1482.   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION 
  1483.   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER 
  1484.   LC_TELEPHONE LC_TIME
  1485. do
  1486.   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
  1487.     eval $as_var=C; export $as_var
  1488.   else
  1489.     $as_unset $as_var
  1490.   fi
  1491. done
  1492. # Required to use basename.
  1493. if expr a : '(a)' >/dev/null 2>&1; then
  1494.   as_expr=expr
  1495. else
  1496.   as_expr=false
  1497. fi
  1498. if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
  1499.   as_basename=basename
  1500. else
  1501.   as_basename=false
  1502. fi
  1503. # Name of the executable.
  1504. as_me=`$as_basename "$0" ||
  1505. $as_expr X/"$0" : '.*/([^/][^/]*)/*$' | 
  1506.  X"$0" : 'X(//)$' | 
  1507.  X"$0" : 'X(/)$' | 
  1508.  .     : '(.)' 2>/dev/null ||
  1509. echo X/"$0" |
  1510.     sed '/^.*/([^/][^/]*)/*$/{ s//1/; q; }
  1511.      /^X/(//)$/{ s//1/; q; }
  1512.      /^X/(/).*/{ s//1/; q; }
  1513.      s/.*/./; q'`
  1514. # PATH needs CR, and LINENO needs CR and PATH.
  1515. # Avoid depending upon Character Ranges.
  1516. as_cr_letters='abcdefghijklmnopqrstuvwxyz'
  1517. as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
  1518. as_cr_Letters=$as_cr_letters$as_cr_LETTERS
  1519. as_cr_digits='0123456789'
  1520. as_cr_alnum=$as_cr_Letters$as_cr_digits
  1521. # The user is always right.
  1522. if test "${PATH_SEPARATOR+set}" != set; then
  1523.   echo "#! /bin/sh" >conf$$.sh
  1524.   echo  "exit 0"   >>conf$$.sh
  1525.   chmod +x conf$$.sh
  1526.   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
  1527.     PATH_SEPARATOR=';'
  1528.   else
  1529.     PATH_SEPARATOR=:
  1530.   fi
  1531.   rm -f conf$$.sh
  1532. fi
  1533.   as_lineno_1=$LINENO
  1534.   as_lineno_2=$LINENO
  1535.   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  1536.   test "x$as_lineno_1" != "x$as_lineno_2" &&
  1537.   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
  1538.   # Find who we are.  Look in the path if we contain no path at all
  1539.   # relative or not.
  1540.   case $0 in
  1541.     *[\/]* ) as_myself=$0 ;;
  1542.     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  1543. for as_dir in $PATH
  1544. do
  1545.   IFS=$as_save_IFS
  1546.   test -z "$as_dir" && as_dir=.
  1547.   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  1548. done
  1549.        ;;
  1550.   esac
  1551.   # We did not find ourselves, most probably we were run as `sh COMMAND'
  1552.   # in which case we are not to be found in the path.
  1553.   if test "x$as_myself" = x; then
  1554.     as_myself=$0
  1555.   fi
  1556.   if test ! -f "$as_myself"; then
  1557.     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
  1558. echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
  1559.    { (exit 1); exit 1; }; }
  1560.   fi
  1561.   case $CONFIG_SHELL in
  1562.   '')
  1563.     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  1564. for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
  1565. do
  1566.   IFS=$as_save_IFS
  1567.   test -z "$as_dir" && as_dir=.
  1568.   for as_base in sh bash ksh sh5; do
  1569.  case $as_dir in
  1570.  /*)
  1571.    if ("$as_dir/$as_base" -c '
  1572.   as_lineno_1=$LINENO
  1573.   as_lineno_2=$LINENO
  1574.   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  1575.   test "x$as_lineno_1" != "x$as_lineno_2" &&
  1576.   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
  1577.      $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
  1578.      $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
  1579.      CONFIG_SHELL=$as_dir/$as_base
  1580.      export CONFIG_SHELL
  1581.      exec "$CONFIG_SHELL" "$0" ${1+"$@"}
  1582.    fi;;
  1583.  esac
  1584.        done
  1585. done
  1586. ;;
  1587.   esac
  1588.   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  1589.   # uniformly replaced by the line number.  The first 'sed' inserts a
  1590.   # line-number line before each line; the second 'sed' does the real
  1591.   # work.  The second script uses 'N' to pair each line-number line
  1592.   # with the numbered line, and appends trailing '-' during
  1593.   # substitution so that $LINENO is not a special case at line end.
  1594.   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  1595.   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
  1596.   sed '=' <$as_myself |
  1597.     sed '
  1598.       N
  1599.       s,$,-,
  1600.       : loop
  1601.       s,^(['$as_cr_digits']*)(.*)[$]LINENO([^'$as_cr_alnum'_]),1213,
  1602.       t loop
  1603.       s,-$,,
  1604.       s,^['$as_cr_digits']*n,,
  1605.     ' >$as_me.lineno &&
  1606.   chmod +x $as_me.lineno ||
  1607.     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
  1608. echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
  1609.    { (exit 1); exit 1; }; }
  1610.   # Don't try to exec as it changes $[0], causing all sort of problems
  1611.   # (the dirname of $[0] is not the place where we might find the
  1612.   # original and so on.  Autoconf is especially sensible to this).
  1613.   . ./$as_me.lineno
  1614.   # Exit status is that of the last command.
  1615.   exit
  1616. }
  1617. case `echo "testingc"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
  1618.   *c*,-n*) ECHO_N= ECHO_C='
  1619. ' ECHO_T=' ' ;;
  1620.   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
  1621.   *)       ECHO_N= ECHO_C='c' ECHO_T= ;;
  1622. esac
  1623. if expr a : '(a)' >/dev/null 2>&1; then
  1624.   as_expr=expr
  1625. else
  1626.   as_expr=false
  1627. fi
  1628. rm -f conf$$ conf$$.exe conf$$.file
  1629. echo >conf$$.file
  1630. if ln -s conf$$.file conf$$ 2>/dev/null; then
  1631.   # We could just check for DJGPP; but this test a) works b) is more generic
  1632.   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  1633.   if test -f conf$$.exe; then
  1634.     # Don't use ln at all; we don't have any links
  1635.     as_ln_s='cp -p'
  1636.   else
  1637.     as_ln_s='ln -s'
  1638.   fi
  1639. elif ln conf$$.file conf$$ 2>/dev/null; then
  1640.   as_ln_s=ln
  1641. else
  1642.   as_ln_s='cp -p'
  1643. fi
  1644. rm -f conf$$ conf$$.exe conf$$.file
  1645. if mkdir -p . 2>/dev/null; then
  1646.   as_mkdir_p=:
  1647. else
  1648.   test -d ./-p && rmdir ./-p
  1649.   as_mkdir_p=false
  1650. fi
  1651. as_executable_p="test -f"
  1652. # Sed expression to map a string onto a valid CPP name.
  1653. as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
  1654. # Sed expression to map a string onto a valid variable name.
  1655. as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
  1656. # IFS
  1657. # We need space, tab and new line, in precisely that order.
  1658. as_nl='
  1659. '
  1660. IFS="  $as_nl"
  1661. # CDPATH.
  1662. $as_unset CDPATH
  1663. exec 6>&1
  1664. # Open the log real soon, to keep $[0] and so on meaningful, and to
  1665. # report actual input values of CONFIG_FILES etc. instead of their
  1666. # values after options handling.  Logging --version etc. is OK.
  1667. exec 5>>config.log
  1668. {
  1669.   echo
  1670.   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
  1671. ## Running $as_me. ##
  1672. _ASBOX
  1673. } >&5
  1674. cat >&5 <<_CSEOF
  1675. This file was extended by $as_me, which was
  1676. generated by GNU Autoconf 2.59.  Invocation command line was
  1677.   CONFIG_FILES    = $CONFIG_FILES
  1678.   CONFIG_HEADERS  = $CONFIG_HEADERS
  1679.   CONFIG_LINKS    = $CONFIG_LINKS
  1680.   CONFIG_COMMANDS = $CONFIG_COMMANDS
  1681.   $ $0 $@
  1682. _CSEOF
  1683. echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
  1684. echo >&5
  1685. _ACEOF
  1686. # Files that config.status was made for.
  1687. if test -n "$ac_config_files"; then
  1688.   echo "config_files="$ac_config_files"" >>$CONFIG_STATUS
  1689. fi
  1690. if test -n "$ac_config_headers"; then
  1691.   echo "config_headers="$ac_config_headers"" >>$CONFIG_STATUS
  1692. fi
  1693. if test -n "$ac_config_links"; then
  1694.   echo "config_links="$ac_config_links"" >>$CONFIG_STATUS
  1695. fi
  1696. if test -n "$ac_config_commands"; then
  1697.   echo "config_commands="$ac_config_commands"" >>$CONFIG_STATUS
  1698. fi
  1699. cat >>$CONFIG_STATUS <<_ACEOF
  1700. ac_cs_usage="
  1701. `$as_me' instantiates files from templates according to the
  1702. current configuration.
  1703. Usage: $0 [OPTIONS] [FILE]...
  1704.   -h, --help       print this help, then exit
  1705.   -V, --version    print version number, then exit
  1706.   -q, --quiet      do not print progress messages
  1707.   -d, --debug      don't remove temporary files
  1708.       --recheck    update $as_me by reconfiguring in the same conditions
  1709.   --file=FILE[:TEMPLATE]
  1710.    instantiate the configuration file FILE
  1711.   --header=FILE[:TEMPLATE]
  1712.    instantiate the configuration header FILE
  1713. Configuration files:
  1714. $config_files
  1715. Configuration headers:
  1716. $config_headers
  1717. Report bugs to <bug-autoconf@gnu.org>."
  1718. _ACEOF
  1719. cat >>$CONFIG_STATUS <<_ACEOF
  1720. ac_cs_version="\
  1721. config.status
  1722. configured by $0, generated by GNU Autoconf 2.59,
  1723.   with options \"`echo "$ac_configure_args" | sed 's/[\""`$]/\\&/g'`\"
  1724. Copyright (C) 2003 Free Software Foundation, Inc.
  1725. This config.status script is free software; the Free Software Foundation
  1726. gives unlimited permission to copy, distribute and modify it."
  1727. srcdir=$srcdir
  1728. INSTALL="$INSTALL"
  1729. _ACEOF
  1730. cat >>$CONFIG_STATUS <<_ACEOF
  1731. # If no file are specified by the user, then we need to provide default
  1732. # value.  By we need to know if files were specified by the user.
  1733. ac_need_defaults=:
  1734. while test $# != 0
  1735. do
  1736.   case $1 in
  1737.   --*=*)
  1738.     ac_option=`expr "x$1" : 'x([^=]*)='`
  1739.     ac_optarg=`expr "x$1" : 'x[^=]*=(.*)'`
  1740.     ac_shift=:
  1741.     ;;
  1742.   -*)
  1743.     ac_option=$1
  1744.     ac_optarg=$2
  1745.     ac_shift=shift
  1746.     ;;
  1747.   *) # This is not an option, so the user has probably given explicit
  1748.      # arguments.
  1749.      ac_option=$1
  1750.      ac_need_defaults=false;;
  1751.   esac
  1752.   case $ac_option in
  1753.   # Handling of the options.
  1754. _ACEOF
  1755. cat >>$CONFIG_STATUS <<_ACEOF
  1756.   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  1757.     ac_cs_recheck=: ;;
  1758.   --version | --vers* | -V )
  1759.     echo "$ac_cs_version"; exit 0 ;;
  1760.   --he | --h)
  1761.     # Conflict between --help and --header
  1762.     { { echo "$as_me:$LINENO: error: ambiguous option: $1
  1763. Try `$0 --help' for more information." >&5
  1764. echo "$as_me: error: ambiguous option: $1
  1765. Try `$0 --help' for more information." >&2;}
  1766.    { (exit 1); exit 1; }; };;
  1767.   --help | --hel | -h )
  1768.     echo "$ac_cs_usage"; exit 0 ;;
  1769.   --debug | --d* | -d )
  1770.     debug=: ;;
  1771.   --file | --fil | --fi | --f )
  1772.     $ac_shift
  1773.     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
  1774.     ac_need_defaults=false;;
  1775.   --header | --heade | --head | --hea )
  1776.     $ac_shift
  1777.     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
  1778.     ac_need_defaults=false;;
  1779.   -q | -quiet | --quiet | --quie | --qui | --qu | --q 
  1780.   | -silent | --silent | --silen | --sile | --sil | --si | --s)
  1781.     ac_cs_silent=: ;;
  1782.   # This is an error.
  1783.   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
  1784. Try `$0 --help' for more information." >&5
  1785. echo "$as_me: error: unrecognized option: $1
  1786. Try `$0 --help' for more information." >&2;}
  1787.    { (exit 1); exit 1; }; } ;;
  1788.   *) ac_config_targets="$ac_config_targets $1" ;;
  1789.   esac
  1790.   shift
  1791. done
  1792. ac_configure_extra_args=
  1793. if $ac_cs_silent; then
  1794.   exec 6>/dev/null
  1795.   ac_configure_extra_args="$ac_configure_extra_args --silent"
  1796. fi
  1797. _ACEOF
  1798. cat >>$CONFIG_STATUS <<_ACEOF
  1799. if $ac_cs_recheck; then
  1800.   echo "running $SHELL $0 " $ac_configure_args $ac_configure_extra_args " --no-create --no-recursion" >&6
  1801.   exec $SHELL $0 $ac_configure_args $ac_configure_extra_args --no-create --no-recursion
  1802. fi
  1803. _ACEOF
  1804. cat >>$CONFIG_STATUS <<_ACEOF
  1805. for ac_config_target in $ac_config_targets
  1806. do
  1807.   case "$ac_config_target" in
  1808.   # Handling of arguments.
  1809.   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
  1810.   "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
  1811.   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
  1812. echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
  1813.    { (exit 1); exit 1; }; };;
  1814.   esac
  1815. done
  1816. # If the user did not use the arguments to specify the items to instantiate,
  1817. # then the envvar interface is used.  Set only those that are not.
  1818. # We use the long form for the default assignment because of an extremely
  1819. # bizarre bug on SunOS 4.1.3.
  1820. if $ac_need_defaults; then
  1821.   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  1822.   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  1823. fi
  1824. # Have a temporary directory for convenience.  Make it in the build tree
  1825. # simply because there is no reason to put it here, and in addition,
  1826. # creating and moving files from /tmp can sometimes cause problems.
  1827. # Create a temporary directory, and hook for its removal unless debugging.
  1828. $debug ||
  1829. {
  1830.   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
  1831.   trap '{ (exit 1); exit 1; }' 1 2 13 15
  1832. }
  1833. # Create a (secure) tmp directory for tmp files.
  1834. {
  1835.   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
  1836.   test -n "$tmp" && test -d "$tmp"
  1837. }  ||
  1838. {
  1839.   tmp=./confstat$$-$RANDOM
  1840.   (umask 077 && mkdir $tmp)
  1841. } ||
  1842. {
  1843.    echo "$me: cannot create a temporary directory in ." >&2
  1844.    { (exit 1); exit 1; }
  1845. }
  1846. _ACEOF
  1847. cat >>$CONFIG_STATUS <<_ACEOF
  1848. #
  1849. # CONFIG_FILES section.
  1850. #
  1851. # No need to generate the scripts if there are no CONFIG_FILES.
  1852. # This happens for instance when ./config.status config.h
  1853. if test -n "$CONFIG_FILES"; then
  1854.   # Protect against being on the right side of a sed subst in config.status.
  1855.   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
  1856.    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
  1857. s,@SHELL@,$SHELL,;t t
  1858. s,@PATH_SEPARATOR@,$PATH_SEPARATOR,;t t
  1859. s,@PACKAGE_NAME@,$PACKAGE_NAME,;t t
  1860. s,@PACKAGE_TARNAME@,$PACKAGE_TARNAME,;t t
  1861. s,@PACKAGE_VERSION@,$PACKAGE_VERSION,;t t
  1862. s,@PACKAGE_STRING@,$PACKAGE_STRING,;t t
  1863. s,@PACKAGE_BUGREPORT@,$PACKAGE_BUGREPORT,;t t
  1864. s,@exec_prefix@,$exec_prefix,;t t
  1865. s,@prefix@,$prefix,;t t
  1866. s,@program_transform_name@,$program_transform_name,;t t
  1867. s,@bindir@,$bindir,;t t
  1868. s,@sbindir@,$sbindir,;t t
  1869. s,@libexecdir@,$libexecdir,;t t
  1870. s,@datadir@,$datadir,;t t
  1871. s,@sysconfdir@,$sysconfdir,;t t
  1872. s,@sharedstatedir@,$sharedstatedir,;t t
  1873. s,@localstatedir@,$localstatedir,;t t
  1874. s,@libdir@,$libdir,;t t
  1875. s,@includedir@,$includedir,;t t
  1876. s,@oldincludedir@,$oldincludedir,;t t
  1877. s,@infodir@,$infodir,;t t
  1878. s,@mandir@,$mandir,;t t
  1879. s,@build_alias@,$build_alias,;t t
  1880. s,@host_alias@,$host_alias,;t t
  1881. s,@target_alias@,$target_alias,;t t
  1882. s,@DEFS@,$DEFS,;t t
  1883. s,@ECHO_C@,$ECHO_C,;t t
  1884. s,@ECHO_N@,$ECHO_N,;t t
  1885. s,@ECHO_T@,$ECHO_T,;t t
  1886. s,@LIBS@,$LIBS,;t t
  1887. s,@CC@,$CC,;t t
  1888. s,@CFLAGS@,$CFLAGS,;t t
  1889. s,@LDFLAGS@,$LDFLAGS,;t t
  1890. s,@CPPFLAGS@,$CPPFLAGS,;t t
  1891. s,@ac_ct_CC@,$ac_ct_CC,;t t
  1892. s,@EXEEXT@,$EXEEXT,;t t
  1893. s,@OBJEXT@,$OBJEXT,;t t
  1894. s,@CPP@,$CPP,;t t
  1895. s,@SET_MAKE@,$SET_MAKE,;t t
  1896. s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
  1897. s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
  1898. s,@INSTALL_DATA@,$INSTALL_DATA,;t t
  1899. s,@PERL@,$PERL,;t t
  1900. s,@NROFF@,$NROFF,;t t
  1901. s,@EGREP@,$EGREP,;t t
  1902. s,@RRD_PERL@,$RRD_PERL,;t t
  1903. s,@GDFORM_EXT@,$GDFORM_EXT,;t t
  1904. s,@LD_RUN_PATH@,$LD_RUN_PATH,;t t
  1905. s,@LIBOBJS@,$LIBOBJS,;t t
  1906. s,@LTLIBOBJS@,$LTLIBOBJS,;t t
  1907. CEOF
  1908. _ACEOF
  1909.   cat >>$CONFIG_STATUS <<_ACEOF
  1910.   # Split the substitutions into bite-sized pieces for seds with
  1911.   # small command number limits, like on Digital OSF/1 and HP-UX.
  1912.   ac_max_sed_lines=48
  1913.   ac_sed_frag=1 # Number of current file.
  1914.   ac_beg=1 # First line for current file.
  1915.   ac_end=$ac_max_sed_lines # Line after last line for current file.
  1916.   ac_more_lines=:
  1917.   ac_sed_cmds=
  1918.   while $ac_more_lines; do
  1919.     if test $ac_beg -gt 1; then
  1920.       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  1921.     else
  1922.       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  1923.     fi
  1924.     if test ! -s $tmp/subs.frag; then
  1925.       ac_more_lines=false
  1926.     else
  1927.       # The purpose of the label and of the branching condition is to
  1928.       # speed up the sed processing (if there are no `@' at all, there
  1929.       # is no need to browse any of the substitutions).
  1930.       # These are the two extra sed commands mentioned above.
  1931.       (echo ':t
  1932.   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
  1933.       if test -z "$ac_sed_cmds"; then
  1934. ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
  1935.       else
  1936. ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
  1937.       fi
  1938.       ac_sed_frag=`expr $ac_sed_frag + 1`
  1939.       ac_beg=$ac_end
  1940.       ac_end=`expr $ac_end + $ac_max_sed_lines`
  1941.     fi
  1942.   done
  1943.   if test -z "$ac_sed_cmds"; then
  1944.     ac_sed_cmds=cat
  1945.   fi
  1946. fi # test -n "$CONFIG_FILES"
  1947. _ACEOF
  1948. cat >>$CONFIG_STATUS <<_ACEOF
  1949. for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
  1950.   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  1951.   case $ac_file in
  1952.   - | *:- | *:-:* ) # input from stdin
  1953. cat >$tmp/stdin
  1954. ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  1955. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  1956.   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  1957. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  1958.   * )   ac_file_in=$ac_file.in ;;
  1959.   esac
  1960.   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
  1961.   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
  1962. $as_expr X"$ac_file" : 'X(.*[^/])//*[^/][^/]*/*$' | 
  1963.  X"$ac_file" : 'X(//)[^/]' | 
  1964.  X"$ac_file" : 'X(//)$' | 
  1965.  X"$ac_file" : 'X(/)' | 
  1966.  .     : '(.)' 2>/dev/null ||
  1967. echo X"$ac_file" |
  1968.     sed '/^X(.*[^/])//*[^/][^/]*/*$/{ s//1/; q; }
  1969.      /^X(//)[^/].*/{ s//1/; q; }
  1970.      /^X(//)$/{ s//1/; q; }
  1971.      /^X(/).*/{ s//1/; q; }
  1972.      s/.*/./; q'`
  1973.   { if $as_mkdir_p; then
  1974.     mkdir -p "$ac_dir"
  1975.   else
  1976.     as_dir="$ac_dir"
  1977.     as_dirs=
  1978.     while test ! -d "$as_dir"; do
  1979.       as_dirs="$as_dir $as_dirs"
  1980.       as_dir=`(dirname "$as_dir") 2>/dev/null ||
  1981. $as_expr X"$as_dir" : 'X(.*[^/])//*[^/][^/]*/*$' | 
  1982.  X"$as_dir" : 'X(//)[^/]' | 
  1983.  X"$as_dir" : 'X(//)$' | 
  1984.  X"$as_dir" : 'X(/)' | 
  1985.  .     : '(.)' 2>/dev/null ||
  1986. echo X"$as_dir" |
  1987.     sed '/^X(.*[^/])//*[^/][^/]*/*$/{ s//1/; q; }
  1988.      /^X(//)[^/].*/{ s//1/; q; }
  1989.      /^X(//)$/{ s//1/; q; }
  1990.      /^X(/).*/{ s//1/; q; }
  1991.      s/.*/./; q'`
  1992.     done
  1993.     test ! -n "$as_dirs" || mkdir $as_dirs
  1994.   fi || { { echo "$as_me:$LINENO: error: cannot create directory "$ac_dir"" >&5
  1995. echo "$as_me: error: cannot create directory "$ac_dir"" >&2;}
  1996.    { (exit 1); exit 1; }; }; }
  1997.   ac_builddir=.
  1998. if test "$ac_dir" != .; then
  1999.   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^.[\/],,'`
  2000.   # A "../" for each directory in $ac_dir_suffix.
  2001.   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\/]*,../,g'`
  2002. else
  2003.   ac_dir_suffix= ac_top_builddir=
  2004. fi
  2005. case $srcdir in
  2006.   .)  # No --srcdir option.  We are building in place.
  2007.     ac_srcdir=.
  2008.     if test -z "$ac_top_builddir"; then
  2009.        ac_top_srcdir=.
  2010.     else
  2011.        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
  2012.     fi ;;
  2013.   [\/]* | ?:[\/]* )  # Absolute path.
  2014.     ac_srcdir=$srcdir$ac_dir_suffix;
  2015.     ac_top_srcdir=$srcdir ;;
  2016.   *) # Relative path.
  2017.     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
  2018.     ac_top_srcdir=$ac_top_builddir$srcdir ;;
  2019. esac
  2020. # Do not use `cd foo && pwd` to compute absolute paths, because
  2021. # the directories may not exist.
  2022. case `pwd` in
  2023. .) ac_abs_builddir="$ac_dir";;
  2024. *)
  2025.   case "$ac_dir" in
  2026.   .) ac_abs_builddir=`pwd`;;
  2027.   [\/]* | ?:[\/]* ) ac_abs_builddir="$ac_dir";;
  2028.   *) ac_abs_builddir=`pwd`/"$ac_dir";;
  2029.   esac;;
  2030. esac
  2031. case $ac_abs_builddir in
  2032. .) ac_abs_top_builddir=${ac_top_builddir}.;;
  2033. *)
  2034.   case ${ac_top_builddir}. in
  2035.   .) ac_abs_top_builddir=$ac_abs_builddir;;
  2036.   [\/]* | ?:[\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
  2037.   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
  2038.   esac;;
  2039. esac
  2040. case $ac_abs_builddir in
  2041. .) ac_abs_srcdir=$ac_srcdir;;
  2042. *)
  2043.   case $ac_srcdir in
  2044.   .) ac_abs_srcdir=$ac_abs_builddir;;
  2045.   [\/]* | ?:[\/]* ) ac_abs_srcdir=$ac_srcdir;;
  2046.   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
  2047.   esac;;
  2048. esac
  2049. case $ac_abs_builddir in
  2050. .) ac_abs_top_srcdir=$ac_top_srcdir;;
  2051. *)
  2052.   case $ac_top_srcdir in
  2053.   .) ac_abs_top_srcdir=$ac_abs_builddir;;
  2054.   [\/]* | ?:[\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
  2055.   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
  2056.   esac;;
  2057. esac
  2058.   case $INSTALL in
  2059.   [\/$]* | ?:[\/]* ) ac_INSTALL=$INSTALL ;;
  2060.   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
  2061.   esac
  2062.   if test x"$ac_file" != x-; then
  2063.     { echo "$as_me:$LINENO: creating $ac_file" >&5
  2064. echo "$as_me: creating $ac_file" >&6;}
  2065.     rm -f "$ac_file"
  2066.   fi
  2067.   # Let's still pretend it is `configure' which instantiates (i.e., don't
  2068.   # use $as_me), people would be surprised to read:
  2069.   #    /* config.h.  Generated by config.status.  */
  2070.   if test x"$ac_file" = x-; then
  2071.     configure_input=
  2072.   else
  2073.     configure_input="$ac_file.  "
  2074.   fi
  2075.   configure_input=$configure_input"Generated from `echo $ac_file_in |
  2076.      sed 's,.*/,,'` by configure."
  2077.   # First look for the input files in the build tree, otherwise in the
  2078.   # src tree.
  2079.   ac_file_inputs=`IFS=:
  2080.     for f in $ac_file_in; do
  2081.       case $f in
  2082.       -) echo $tmp/stdin ;;
  2083.       [\/$]*)
  2084.  # Absolute (can't be DOS-style, as IFS=:)
  2085.  test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  2086. echo "$as_me: error: cannot find input file: $f" >&2;}
  2087.    { (exit 1); exit 1; }; }
  2088.  echo "$f";;
  2089.       *) # Relative
  2090.  if test -f "$f"; then
  2091.    # Build tree
  2092.    echo "$f"
  2093.  elif test -f "$srcdir/$f"; then
  2094.    # Source tree
  2095.    echo "$srcdir/$f"
  2096.  else
  2097.    # /dev/null tree
  2098.    { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  2099. echo "$as_me: error: cannot find input file: $f" >&2;}
  2100.    { (exit 1); exit 1; }; }
  2101.  fi;;
  2102.       esac
  2103.     done` || { (exit 1); exit 1; }
  2104. _ACEOF
  2105. cat >>$CONFIG_STATUS <<_ACEOF
  2106.   sed "$ac_vpsub
  2107. $extrasub
  2108. _ACEOF
  2109. cat >>$CONFIG_STATUS <<_ACEOF
  2110. :t
  2111. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  2112. s,@configure_input@,$configure_input,;t t
  2113. s,@srcdir@,$ac_srcdir,;t t
  2114. s,@abs_srcdir@,$ac_abs_srcdir,;t t
  2115. s,@top_srcdir@,$ac_top_srcdir,;t t
  2116. s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
  2117. s,@builddir@,$ac_builddir,;t t
  2118. s,@abs_builddir@,$ac_abs_builddir,;t t
  2119. s,@top_builddir@,$ac_top_builddir,;t t
  2120. s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
  2121. s,@INSTALL@,$ac_INSTALL,;t t
  2122. " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
  2123.   rm -f $tmp/stdin
  2124.   if test x"$ac_file" != x-; then
  2125.     mv $tmp/out $ac_file
  2126.   else
  2127.     cat $tmp/out
  2128.     rm -f $tmp/out
  2129.   fi
  2130. done
  2131. _ACEOF
  2132. cat >>$CONFIG_STATUS <<_ACEOF
  2133. #
  2134. # CONFIG_HEADER section.
  2135. #
  2136. # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
  2137. # NAME is the cpp macro being defined and VALUE is the value it is being given.
  2138. #
  2139. # ac_d sets the value in "#define NAME VALUE" lines.
  2140. ac_dA='s,^([  ]*)#([  ]*define[  ][  ]*)'
  2141. ac_dB='[  ].*$,1#2'
  2142. ac_dC=' '
  2143. ac_dD=',;t'
  2144. # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
  2145. ac_uA='s,^([  ]*)#([  ]*)undef([  ][  ]*)'
  2146. ac_uB='$,1#2define3'
  2147. ac_uC=' '
  2148. ac_uD=',;t'
  2149. for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
  2150.   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  2151.   case $ac_file in
  2152.   - | *:- | *:-:* ) # input from stdin
  2153. cat >$tmp/stdin
  2154. ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  2155. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  2156.   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  2157. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  2158.   * )   ac_file_in=$ac_file.in ;;
  2159.   esac
  2160.   test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
  2161. echo "$as_me: creating $ac_file" >&6;}
  2162.   # First look for the input files in the build tree, otherwise in the
  2163.   # src tree.
  2164.   ac_file_inputs=`IFS=:
  2165.     for f in $ac_file_in; do
  2166.       case $f in
  2167.       -) echo $tmp/stdin ;;
  2168.       [\/$]*)
  2169.  # Absolute (can't be DOS-style, as IFS=:)
  2170.  test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  2171. echo "$as_me: error: cannot find input file: $f" >&2;}
  2172.    { (exit 1); exit 1; }; }
  2173.  # Do quote $f, to prevent DOS paths from being IFS'd.
  2174.  echo "$f";;
  2175.       *) # Relative
  2176.  if test -f "$f"; then
  2177.    # Build tree
  2178.    echo "$f"
  2179.  elif test -f "$srcdir/$f"; then
  2180.    # Source tree
  2181.    echo "$srcdir/$f"
  2182.  else
  2183.    # /dev/null tree
  2184.    { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
  2185. echo "$as_me: error: cannot find input file: $f" >&2;}
  2186.    { (exit 1); exit 1; }; }
  2187.  fi;;
  2188.       esac
  2189.     done` || { (exit 1); exit 1; }
  2190.   # Remove the trailing spaces.
  2191.   sed 's/[  ]*$//' $ac_file_inputs >$tmp/in
  2192. _ACEOF
  2193. # Transform confdefs.h into two sed scripts, `conftest.defines' and
  2194. # `conftest.undefs', that substitutes the proper values into
  2195. # config.h.in to produce config.h.  The first handles `#define'
  2196. # templates, and the second `#undef' templates.
  2197. # And first: Protect against being on the right side of a sed subst in
  2198. # config.status.  Protect against being in an unquoted here document
  2199. # in config.status.
  2200. rm -f conftest.defines conftest.undefs
  2201. # Using a here document instead of a string reduces the quoting nightmare.
  2202. # Putting comments in sed scripts is not portable.
  2203. #
  2204. # `end' is used to avoid that the second main sed command (meant for
  2205. # 0-ary CPP macros) applies to n-ary macro definitions.
  2206. # See the Autoconf documentation for `clear'.
  2207. cat >confdef2sed.sed <<_ACEOF
  2208. s/[\&,]/\&/g
  2209. s,[\$`],\&,g
  2210. t clear
  2211. : clear
  2212. s,^[  ]*#[  ]*define[  ][  ]*([^  (][^  (]*)(([^)]*))[  ]*(.*)$,${ac_dA}1${ac_dB}12${ac_dC}3${ac_dD},gp
  2213. t end
  2214. s,^[  ]*#[  ]*define[  ][  ]*([^  ][^  ]*)[  ]*(.*)$,${ac_dA}1${ac_dB}1${ac_dC}2${ac_dD},gp
  2215. : end
  2216. _ACEOF
  2217. # If some macros were called several times there might be several times
  2218. # the same #defines, which is useless.  Nevertheless, we may not want to
  2219. # sort them, since we want the *last* AC-DEFINE to be honored.
  2220. uniq confdefs.h | sed -n -f confdef2sed.sed >conftest.defines
  2221. sed 's/ac_d/ac_u/g' conftest.defines >conftest.undefs
  2222. rm -f confdef2sed.sed
  2223. # This sed command replaces #undef with comments.  This is necessary, for
  2224. # example, in the case of _POSIX_SOURCE, which is predefined and required
  2225. # on some systems where configure will not decide to define it.
  2226. cat >>conftest.undefs <<_ACEOF
  2227. s,^[  ]*#[  ]*undef[  ][  ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
  2228. _ACEOF
  2229. # Break up conftest.defines because some shells have a limit on the size
  2230. # of here documents, and old seds have small limits too (100 cmds).
  2231. echo '  # Handle all the #define templates only if necessary.' >>$CONFIG_STATUS
  2232. echo '  if grep "^[  ]*#[  ]*define" $tmp/in >/dev/null; then' >>$CONFIG_STATUS
  2233. echo '  # If there are no defines, we may have an empty if/fi' >>$CONFIG_STATUS
  2234. echo '  :' >>$CONFIG_STATUS
  2235. rm -f conftest.tail
  2236. while grep . conftest.defines >/dev/null
  2237. do
  2238.   # Write a limited-size here document to $tmp/defines.sed.
  2239.   echo '  cat >$tmp/defines.sed <<CEOF' >>$CONFIG_STATUS
  2240.   # Speed up: don't consider the non `#define' lines.
  2241.   echo '/^[  ]*#[  ]*define/!b' >>$CONFIG_STATUS
  2242.   # Work around the forget-to-reset-the-flag bug.
  2243.   echo 't clr' >>$CONFIG_STATUS
  2244.   echo ': clr' >>$CONFIG_STATUS
  2245.   sed ${ac_max_here_lines}q conftest.defines >>$CONFIG_STATUS
  2246.   echo 'CEOF
  2247.   sed -f $tmp/defines.sed $tmp/in >$tmp/out
  2248.   rm -f $tmp/in
  2249.   mv $tmp/out $tmp/in
  2250. ' >>$CONFIG_STATUS
  2251.   sed 1,${ac_max_here_lines}d conftest.defines >conftest.tail
  2252.   rm -f conftest.defines
  2253.   mv conftest.tail conftest.defines
  2254. done
  2255. rm -f conftest.defines
  2256. echo '  fi # grep' >>$CONFIG_STATUS
  2257. echo >>$CONFIG_STATUS
  2258. # Break up conftest.undefs because some shells have a limit on the size
  2259. # of here documents, and old seds have small limits too (100 cmds).
  2260. echo '  # Handle all the #undef templates' >>$CONFIG_STATUS
  2261. rm -f conftest.tail
  2262. while grep . conftest.undefs >/dev/null
  2263. do
  2264.   # Write a limited-size here document to $tmp/undefs.sed.
  2265.   echo '  cat >$tmp/undefs.sed <<CEOF' >>$CONFIG_STATUS
  2266.   # Speed up: don't consider the non `#undef'
  2267.   echo '/^[  ]*#[  ]*undef/!b' >>$CONFIG_STATUS
  2268.   # Work around the forget-to-reset-the-flag bug.
  2269.   echo 't clr' >>$CONFIG_STATUS
  2270.   echo ': clr' >>$CONFIG_STATUS
  2271.   sed ${ac_max_here_lines}q conftest.undefs >>$CONFIG_STATUS
  2272.   echo 'CEOF
  2273.   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  2274.   rm -f $tmp/in
  2275.   mv $tmp/out $tmp/in
  2276. ' >>$CONFIG_STATUS
  2277.   sed 1,${ac_max_here_lines}d conftest.undefs >conftest.tail
  2278.   rm -f conftest.undefs
  2279.   mv conftest.tail conftest.undefs
  2280. done
  2281. rm -f conftest.undefs
  2282. cat >>$CONFIG_STATUS <<_ACEOF
  2283.   # Let's still pretend it is `configure' which instantiates (i.e., don't
  2284.   # use $as_me), people would be surprised to read:
  2285.   #    /* config.h.  Generated by config.status.  */
  2286.   if test x"$ac_file" = x-; then
  2287.     echo "/* Generated by configure.  */" >$tmp/config.h
  2288.   else
  2289.     echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
  2290.   fi
  2291.   cat $tmp/in >>$tmp/config.h
  2292.   rm -f $tmp/in
  2293.   if test x"$ac_file" != x-; then
  2294.     if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
  2295.       { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
  2296. echo "$as_me: $ac_file is unchanged" >&6;}
  2297.     else
  2298.       ac_dir=`(dirname "$ac_file") 2>/dev/null ||
  2299. $as_expr X"$ac_file" : 'X(.*[^/])//*[^/][^/]*/*$' | 
  2300.  X"$ac_file" : 'X(//)[^/]' | 
  2301.  X"$ac_file" : 'X(//)$' | 
  2302.  X"$ac_file" : 'X(/)' | 
  2303.  .     : '(.)' 2>/dev/null ||
  2304. echo X"$ac_file" |
  2305.     sed '/^X(.*[^/])//*[^/][^/]*/*$/{ s//1/; q; }
  2306.      /^X(//)[^/].*/{ s//1/; q; }
  2307.      /^X(//)$/{ s//1/; q; }
  2308.      /^X(/).*/{ s//1/; q; }
  2309.      s/.*/./; q'`
  2310.       { if $as_mkdir_p; then
  2311.     mkdir -p "$ac_dir"
  2312.   else
  2313.     as_dir="$ac_dir"
  2314.     as_dirs=
  2315.     while test ! -d "$as_dir"; do
  2316.       as_dirs="$as_dir $as_dirs"
  2317.       as_dir=`(dirname "$as_dir") 2>/dev/null ||
  2318. $as_expr X"$as_dir" : 'X(.*[^/])//*[^/][^/]*/*$' | 
  2319.  X"$as_dir" : 'X(//)[^/]' | 
  2320.  X"$as_dir" : 'X(//)$' | 
  2321.  X"$as_dir" : 'X(/)' | 
  2322.  .     : '(.)' 2>/dev/null ||
  2323. echo X"$as_dir" |
  2324.     sed '/^X(.*[^/])//*[^/][^/]*/*$/{ s//1/; q; }
  2325.      /^X(//)[^/].*/{ s//1/; q; }
  2326.      /^X(//)$/{ s//1/; q; }
  2327.      /^X(/).*/{ s//1/; q; }
  2328.      s/.*/./; q'`
  2329.     done
  2330.     test ! -n "$as_dirs" || mkdir $as_dirs
  2331.   fi || { { echo "$as_me:$LINENO: error: cannot create directory "$ac_dir"" >&5
  2332. echo "$as_me: error: cannot create directory "$ac_dir"" >&2;}
  2333.    { (exit 1); exit 1; }; }; }
  2334.       rm -f $ac_file
  2335.       mv $tmp/config.h $ac_file
  2336.     fi
  2337.   else
  2338.     cat $tmp/config.h
  2339.     rm -f $tmp/config.h
  2340.   fi
  2341. done
  2342. _ACEOF
  2343. cat >>$CONFIG_STATUS <<_ACEOF
  2344. { (exit 0); exit 0; }
  2345. _ACEOF
  2346. chmod +x $CONFIG_STATUS
  2347. ac_clean_files=$ac_clean_files_save
  2348. # configure is writing to config.log, and then calls config.status.
  2349. # config.status does its own redirection, appending to config.log.
  2350. # Unfortunately, on DOS this fails, as config.log is still kept open
  2351. # by configure, so config.status won't be able to write to it; its
  2352. # output is simply discarded.  So we exec the FD to /dev/null,
  2353. # effectively closing config.log, so it can be properly (re)opened and
  2354. # appended to by config.status.  When coming back to configure, we
  2355. # need to make the FD available again.
  2356. if test "$no_create" != yes; then
  2357.   ac_cs_success=:
  2358.   ac_config_status_args=
  2359.   test "$silent" = yes &&
  2360.     ac_config_status_args="$ac_config_status_args --quiet"
  2361.   exec 5>/dev/null
  2362.   $SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_success=false
  2363.   exec 5>>config.log
  2364.   # Use ||, not &&, to avoid exiting from the if with $? = 1, which
  2365.   # would make configure fail if this is the last instruction.
  2366.   $ac_cs_success || { (exit 1); exit 1; }
  2367. fi
  2368. echo $ECHO_N "ordering CD from http://people.ee.ethz.ch/~oetiker/wish $ECHO_C" 1>&6
  2369. sleep 1
  2370. echo $ECHO_N ".$ECHO_C" 1>&6
  2371. sleep 1
  2372. echo $ECHO_N ".$ECHO_C" 1>&6
  2373. sleep 1
  2374. echo $ECHO_N ".$ECHO_C" 1>&6
  2375. sleep 1
  2376. echo $ECHO_N ".$ECHO_C" 1>&6
  2377. sleep 1
  2378. echo "$as_me:$LINENO: result:  just kidding ;-)" >&5
  2379. echo "${ECHO_T} just kidding ;-)" >&6
  2380. sleep 2
  2381. echo
  2382. echo "----------------------------------------------------------------"
  2383. echo "Config is DONE!"
  2384. echo
  2385. echo "Type 'make' to compile the software"
  2386. echo
  2387. echo "       ... that wishlist mentioned above does really exist. So if"
  2388. echo "you feel like showing your appreciation for MRTG, this is the"
  2389. echo "place to go. I just love CDs and DVDs"
  2390. echo
  2391. echo "                            -- Tobi Oetiker <oetiker@ee.ethz.ch>"
  2392. echo "----------------------------------------------------------------"